; Script lanc aprs clonage sur chaque station
; Ce script n'est lanc que dans le cas SE3 >= 1.50 via IntegSE3.cmd lanant ifconfig.bat en testant la prsence d'un c:\netinst\ipfixe.csv
; $Id$
; Stephane Boireau (27)
; Modification: 25/04/2010

;Include constants
#include <GUIConstants.au3>

; Bibliotheque de fonctions
#include <se3_crob.lib.au3>

$SystemDrive=_GetSystemDrive()

;Initialize variables
Global $GUIWidth
Global $GUIHeight

$GUIWidth = 300
$GUIHeight = 150

; Initialisation:
$NOMPC=""
$IP=""
$WORKGRP=""
$MAC=""

$debug="n"

If IsAdmin() Then
	; Rcuprer le nom du poste

	; Il faudra revoir a... pouvoir identifier la bonne interface rseau... mais le pb des accents DOS complique les choses
	$CURRENT_IP=_GetIP()
	$MAC=_GetMACFromIP($CURRENT_IP)

	; Normalement en 1.50, le clients.ini n'existe plus...
	If FileExists($SystemDrive & "\temp\clone\clients.ini") Then
		#include <lecture_clients_ini.au3>
		; On n'affecte ici que le nom de la machine si son adresse MAC tait dans le clients.ini
		If $debug == "y" Then 
			MsgBox(0,"Info","Aprs lecture du " & $SystemDrive & "\temp\clone\clients.ini:" & @CRLF & "NOMPC=" & $NOMPC & @CRLF & "IP=" & $IP)
		EndIf
	EndIf

	; Lire le nom du poste dans le unattend.csv
	$CHEMIN=$SystemDrive & "\netinst\unattend.csv"
	If FileExists($CHEMIN) Then
		If $debug == "y" Then 
			MsgBox(0,"Info","Avant $CURRENT_IP, on a NOMPC=" & $NOMPC & @CRLF & "IP=" & $IP)
		EndIf
		
		;$CURRENT_IP=_GetIP()
		
		;If $debug == "y" Then 
		;	MsgBox(0,"Info","Aprs $CURRENT_IP, on a NOMPC=" & $NOMPC & @CRLF & "IP=" & $IP)
		;EndIf

		;$MAC=_GetMACFromIP($CURRENT_IP)
		
		If $debug == "y" Then 
			MsgBox(0,"Info","Aprs _GetMACFromIP("&$CURRENT_IP&"), on a NOMPC=" & $NOMPC & @CRLF & "IP=" & $IP)
		EndIf
		
		$TMP_NOMPC=_lire_unattend_csv($CHEMIN, $MAC)
		If $TMP_NOMPC <> "" Then
			$NOMPC=$TMP_NOMPC
		EndIf
		
		If $debug == "y" Then 
			MsgBox(0,"Info","Aprs lecture du " & $CHEMIN & ":" & @CRLF & "NOMPC=" & $NOMPC & @CRLF & "IP=" & $IP)
		EndIf
	EndIf

	If FileExists($SystemDrive & "\temp\clone\correspondance_nom_mac_ip.ini") Then
		; Script  r-crire parce que l'on peut faire mieux pour rcuprer l'adresse MAC... cf se3_crob.lib.au3
		#include <lecture_correspondance_nom_mac_ip_ini.au3>
		
		If $debug == "y" Then 
			MsgBox(0,"Info","Aprs lecture du " & $SystemDrive & "\temp\clone\correspondance_nom_mac_ip.ini:" & @CRLF & "NOMPC=" & $NOMPC & @CRLF & "IP=" & $IP)
		EndIf
	EndIf

	$MODE_NOMPC_IP="interactif"
	If $NOMPC <> "" Then
		If $IP <> "" Then
			$MODE_NOMPC_IP="auto"
			If $IP == "DHCP" Then
				$IP=""
				If FileExists($SystemDrive & "\temp\clone\temoin_dhcp.txt") Then
					$bidon="Rien  changer"
				Else
					$FICH_TMP=FileOpen($SystemDrive & "\temp\clone\temoin_dhcp.txt",1)
					FileWrite($FICH_TMP,"Client DHCP")
					FileClose($FICH_TMP)
				EndIf
			EndIf
		Else
			If FileExists($SystemDrive & "\temp\clone\temoin_dhcp.txt") Then
				$MODE_NOMPC_IP="auto"
			EndIf
		EndIf
	EndIf
		
	If $debug == "y" Then 
		MsgBox(0,"Info","On a maintenant $MODE_NOMPC_IP=" & $MODE_NOMPC_IP & " et NOMPC=" & $NOMPC & @CRLF & "IP=" & $IP)
	EndIf

	If $MODE_NOMPC_IP == "auto" Then
		If FileExists($SystemDrive & "\temp\clone\temoin_dhcp.txt") Then
			MsgBox(0,"Info","Le poste va tre renomm en " & $NOMPC & @CRLF & "et tre configur en client DHCP.",3)
		Else
			MsgBox(0,"Info","Le poste va tre renomm en " & $NOMPC & @CRLF & "avec l'adresse IP " & $IP,3)
		EndIf
	Else
		; Il va falloir demander l'un des paramtres au moins  l'utilisateur.

		; On n'a jamais $IP=="DHCP"
		; $IP est vide sauf si elle a t renseigne par c:\temp\clone\correspondance_nom_mac_ip.ini
		; Mais dans ce cas, in est pass dans le If ci-dessus, pas dans le prsent Else
		If $IP <> "DHCP" Then
			; Prfixe IP  proposer:
			$PREFIP=""
			If FileExists($SystemDrive & "\temp\clone\param.ini") Then
				$FICHPARAM = FileOpen($SystemDrive & "\temp\clone\param.ini",0)
				If $FICHPARAM = -1 Then
					MsgBox(0, "Erreur", "Il n'a pas t possible d'ouvrir le fichier '" & $SystemDrive & "\temp\clone\param.ini'!" & @CRLF & "Ce fichier permet de personnaliser le paquet post-clonage pour proposer des choix par dfaut adapts  votre rseau.")
				Else
					While 1
						$LIGNE = FileReadLine($FICHPARAM)
						;MsgBox(0,"Info",$LIGNE)
						If @error = -1 Then ExitLoop
						If StringInStr ($LIGNE,"PREFIP=") <> 0 Then
							;MsgBox(0,"Info","Ligne trouve:" & $LIGNE)
							$TEMP = StringSplit($LIGNE, "=")
							$PREFIP = $TEMP[2]
							ExitLoop
						EndIf
					Wend
					FileClose($FICHPARAM)
				EndIf
			EndIf
		EndIf

		; Cration de la fentre
		GUICreate("Corrections POST-CLONAGE", $GUIWidth, $GUIHeight)

		$x0=10
		$x1=160
		$y0=10

		; Affichage d'un titre:
		;$Label_info = GuiCtrlCreateLabel("Veuillez saisir les nouveaux paramtres:", $x0, $y0, 200, 20, $SS_SUNKEN)
		$Label_info = GuiCtrlCreateLabel("Veuillez saisir les nouveaux paramtres:", $x0, $y0, 200, 20)

		$y0=$y0+30
		$y1=$y0+3

		; Cration des champs de formulaire:
		$DHCP = "non"
		If FileExists($SystemDrive & "\temp\clone\temoin_dhcp.txt") Then
			$Label_DHCP = GuiCtrlCreateLabel("Le poste est client DHCP.", $x0, $y1, 150, 20)
			$DHCP = "oui"
		Else
			$Label_IP = GuiCtrlCreateLabel("Nouvelle adresse IP:", $x0, $y1, 150, 20)
			;$Champ_IP = GUICtrlCreateInput("10.127.", $x1, $y0, 130, 20)
			$Champ_IP = GUICtrlCreateInput($PREFIP, $x1, $y0, 130, 20)
		EndIf

		$y0=$y0+30
		$y1=$y0+3

		If $NOMPC <> "" Then
			$Label_NOM = GuiCtrlCreateLabel("Nom de machine:", $x0, $y1, 150, 20)
			;$Label_NOM2 = GuiCtrlCreateLabel($NOMPC, $x1, $y0, 130, 20, $SS_SUNKEN)
			$Label_NOM2 = GuiCtrlCreateLabel($NOMPC, $x1, $y0, 130, 20)
		Else
			$Label_NOM = GuiCtrlCreateLabel("Nouveau nom de machine:", $x0, $y1, 150, 20)
			$Champ_NOM = GUICtrlCreateInput("", $x1, $y0, 130, 20)
		EndIf

		$y0=$y0+40

		$x=($GUIWidth-2*70-35)/2

		; Cration du bouton "OK"
		$OK_Btn = GUICtrlCreateButton("OK", $x, $y0, 70, 25)

		$x=$x+70+35

		; Cration du bouton "CANCEL"
		$Cancel_Btn = GUICtrlCreateButton("Cancel", $x, $y0, 70, 25)

		; On rend la fentre visible (modification de statut)
		GUISetState(@SW_SHOW)

		; On fait une boucle jusqu' ce que:
		; - l'utilisateur presse ESC
		; - l'utilisateur presse ALT+F4
		; - l'utilisateur clique sur le bouton de fermeture de la fentre
		While 1
			; Aprs chaque boucle, on contrle si l'utilisateur a cliqu sur quelque chose
			$msg = GUIGetMsg()

			Select
				; On teste si l'utilisateur a cliqu sur le bouton de fermeture
				Case $msg = $GUI_EVENT_CLOSE
					; On dtruit la fentre et ses contrles
					GUIDelete()
					; Et on quitte le script
					Exit

				; On teste si l'utilisateur a cliqu sur le bouton OK
				Case $msg = $OK_Btn
					;GUISetState(@SW_HIDE)

					$SORTIE=""

					;=======================================================
					; Rcupration du contenu des champs de formulaire
					If $NOMPC == "" Then
						$NOMPC = GUICtrlRead($Champ_NOM)
						;If StringIsAlNum(StringReplace($NOMPC,"_","")) == 0 Then
						; On accepte aussi le '-' dans les noms de machines.
						; En fait le '_' devrait tre interdit d'aprs Fabien Malfoy <monkey@indriya.org>
						If StringIsAlNum(StringReplace(StringReplace($NOMPC,"_",""),"-","")) == 0 Then
							MsgBox(0,"Erreur","Le nom choisi n'est pas valide!")
							;Exit
							$SORTIE = "oui"
							$NOMPC=""
						EndIf
					EndIf

					If $DHCP == "oui" Then
						$IP = ""
					Else
						$IP = GUICtrlRead($Champ_IP)
						If verif_ip($IP) == "erreur" Then
							MsgBox(0,"Erreur","L'adresse IP propose n'est pas valide!")
							;Exit
							$SORTIE = "oui"
						EndIf
					EndIf

					;=======================================================

					If $SORTIE == "oui" Then
						$bidon=""
						; On va arriver au WEnd en sortie du If
						GUISetState(@SW_SHOW)
						; Et l'utilisateur va pouvoir effectuer une autre saisie.
					Else
						; S'il n'y a pas d'erreur de saisie on poursuit les oprations.

						; Les paramtrages vont tre effectus hors de la boucle.

						GUIDelete()
						ExitLoop
					EndIf

				; On teste si l'utilisateur a cliqu sur le bouton CANCEL
				Case $msg = $Cancel_Btn
					MsgBox(64, "Abandon!", "Vous avez souhait abandonner les corrections.")
					GUIDelete()
					Exit
			EndSelect
		WEnd
	EndIf
	
	; En sortie de boucle sans 'Exit' les paramtres sont renseigns,
	; On peut procder au re-paramtrage.
	;=======================================================
	; Cration du fichier IP.BAT
	;$FICHIP = FileOpen("C:\temp\clone\ip.bat",2)
	$FICHIP = FileOpen(@ScriptDir & "\ip.bat",2)
	If $FICHIP = -1 Then
		MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & $SystemDrive & "\temp\clone\ip.bat'!")
		Exit
	EndIf

	FileWriteLine($FICHIP,"set IP=" & $IP)
	FileClose($FICHIP)
	;=======================================================
	; Cration du fichier IP.INI
	;$FICHIP = FileOpen("C:\temp\clone\ip.ini",2)
	$FICHIP = FileOpen(@ScriptDir & "\ip.ini",2)
	If $FICHIP = -1 Then
		MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & @ScriptDir & "\ip.ini'!")
		Exit
	EndIf

	FileWriteLine($FICHIP,"[ParametresIP]")
	FileWriteLine($FICHIP,"IP=" & $IP)
	FileClose($FICHIP)
	;=======================================================

	;=======================================================
;	; Cration du fichier NOMPC.BAT
;	$FICHNOMPC = FileOpen($SystemDrive & "\temp\clone\nompc.bat",2)
;	If $FICHNOMPC = -1 Then
;		MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & $SystemDrive & "\temp\clone\nompc.bat'!")
;		Exit
;	EndIf
;	FileWriteLine($FICHNOMPC,"set NOMPC=" & $NOMPC)
;	FileClose($FICHNOMPC)

	; Le newsid n'est plus utile... on se contente de... faire le changement de nom plus loin
	;=======================================================

	RunWait($SystemDrive & "\temp\clone\corrigboot.bat")
	;RunWait("c:\temp\clone\modifip4.bat")
	;RunWait(@ScriptDir & "\ipconfig.exe")
	RunWait(@ScriptDir & "\modifip.exe")

	; Effectuer le changement de nom ou la jonction: NON
	; On doit remplir/complter le unattend.csv

	$CHEMIN=$SystemDrive & "\netinst\unattend.csv"
		
	If $debug == "y" Then 
		MsgBox(0,"Info","On va maintenant complter le " & $CHEMIN)
	EndIf
	
	;If Not FileExists($CHEMIN) Then
	;	; On cre un fichier
	;EndIf
	If $IP == "DHCP" Then
		$CURRENT_IP=_GetIP()
		$MAC=_GetMACFromIP($CURRENT_IP)
	Else
		$MAC=_GetMACFromIP($IP)
	EndIf
	If _completer_unattend_csv($CHEMIN, $NOMPC, $MAC) Then
		; Succes de l'criture
	Else
		; Echec de l'criture
		MsgBox(0, "Erreur", "Il n'a pas t possible de complter le fichier " & $CHEMIN & " avec l'entre NOMPC=" & $NOMPC & " et MAC=" & $MAC & " !")
	EndIf

	; clone150 a t lanc une fois... on fait le mnage:
	If FileExists($SystemDrive & "\netinst\ipfixe.csv") Then
		FileCopy($SystemDrive & "\netinst\ipfixe.csv", $SystemDrive & "\netinst\_ipfixe.csv",1)
		FileDelete($SystemDrive & "\netinst\ipfixe.csv")
		Run($SystemDrive & "\temp\nettoye2.exe")
	EndIf

;:rejoint
;:: on la renomme
;echo renommage de %computername% en %NAME% >> domscripts.txt

;%systemdrive%\windows\system32\cscript.exe //b suppr_adminse3.vbs
;net user administrateur wawa 
;net accounts /maxpwage:unlimited

;REG.exe ADD "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\ComputerName\ComputerName" /v ComputerName /t REG_SZ /d "%NAME%" /F
;REG.exe ADD "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Tcpip\Parameters" /v "NV Hostname" /t REG_SZ /d "%NAME%" /F


;:: on prepare le lancement du script de remise au domaine au reboot

;reg.exe add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" /v "SE3install" /d "c:\netinst\integSE3.cmd" /F >NUL

;:: reboot en tant qu'administrateur, mdp wawa :)

;echo Au prochain reboot : on demarrera sur ce poste %name%, pas sur le SE3_DOMAIN...
;reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon" /v "DefaultDomainName" /d "%NAME%" /F >NUL
;reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon" /v "DefaultUserName" /d "administrateur" /F >NUL
;reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon" /v "DefaultPassword" /d "wawa" /F >NUL
;reg.exe add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon" /v "AutoAdminLogon" /d "1" /F >NUL

;:suite
;echo Nettoyage des fichiers wpkg...

;if exist "%systemdrive%\windows\wpkg.txt" del /F /Q "%systemdrive%\windows\wpkg.txt"
;if exist "%systemdrive%\windows\wpkg.log" del /F /Q "%systemdrive%\windows\wpkg.log"

;if "%ACTION%"=="clone" (
;    echo poste emetteur en attente de clonage
 ;   echo on attend que le serveur soit pret pour rebooter...
  ;  time /T>finwin.txt
   ; call se3rapport.cmd pre y
;) else (
;    echo Redemarrage immediat
;    echo shutdown OK>> domscripts.txt
;)    
;c:\windows\system32\shutdown.exe -r -t 10  -c "%ACTION% : le poste est pret"

Else
	MsgBox(0,"Information","Ce programme doit tre excut avec les droits administrateur.")
	Exit
EndIf
Exit
