; Script de mise en place des scripts de:
; - renommage
; - changement d'IP
; - changement du SID

; $Id$
; Stephane Boireau (27)
; Modification: 19/10/2010

; PROBLEME:
; Lors de la mise en place du paquet,
; j'utilise un chemin relatif pour la copie de 'temp' en 'c:\temp'.
; Ce chemin n'est pas trouv lorsque le setup.exe n'est pas lanc depuis 'C:\tmp',
; mais depuis un autre dossier (archive sur le CD multiboot)
; CETTE NOUVELLE VERSION EST DESTINEE A CORRIGER LE PROBLEME:
;	;DirCopy("temp","C:\temp",1)
;	DirCopy(@ScriptDir & "\temp","C:\temp",1)

$NB_STEP=3

;Include constants
#include <GUIConstants.au3>

; Bibliotheque de fonctions
#include <se3_crob.lib.au3>

;Initialize variables
Global $GUIWidth
Global $GUIHeight

$GUIWidth = 300
;$GUIHeight = 330
$GUIHeight = 380

; Liste des fichiers  supprimer
Dim $WPKG_files[4]=["wpkg-client.vbs", "wpkg.log", "wpkg.txt", "system32\wpkg.xml"]

$SystemDrive=_GetSystemDrive()

$USER_ADMIN_SE3="adminse3"
$DOMSCRIPTS_SE3_BATCH="se3.cmd"

If @OSTYPE == "WIN32_WINDOWS" Then
	MsgBox(0,"Information","Ce programme concerne les OS NT/2K/XP uniquement.")
	Exit
Else
	If IsAdmin() Then

		$DEF_GW="10.127.164.1"
		$DEF_MASK="255.255.0.0"
		$DEF_DNS="10.127.164.1"
		$DEF_WINS="10.127.164.2"
		$DEF_SMB_DOMAIN="SAMBAEDU3"
		If FileExists(@ScriptDir & "\temp\clone\param.ini") Then
            ;MsgBox(0,"Info","Fichier trouv.")
			$FICHPARAM = FileOpen(@ScriptDir & "\temp\clone\param.ini",0)
			If $FICHPARAM = -1 Then
				MsgBox(0, "Erreur", "Il n'a pas t possible d'ouvrir le fichier '" & @ScriptDir & "\temp\clone\param.ini'!" & @CRLF & "Ce fichier permet de personnaliser le paquet post-clonage pour proposer des choix par dfaut adapts  votre rseau.")
			Else
				While 1
					$LIGNE = FileReadLine($FICHPARAM)
					If @error = -1 Then ExitLoop
					;MsgBox(0,"Info",$LIGNE)
					If StringInStr ($LIGNE,"GW=") <> 0 Then
						;MsgBox(0,"Info","Ligne trouve:" & $LIGNE)
						$TEMP = StringSplit($LIGNE, "=")
						$DEF_GW = $TEMP[2]
                        ;MsgBox(0,"Info","$DEF_GW=" & $DEF_GW)
						;ExitLoop
					EndIf
					If StringInStr ($LIGNE,"MASK=") <> 0 Then
						;MsgBox(0,"Info","Ligne trouve:" & $LIGNE)
						$TEMP = StringSplit($LIGNE, "=")
						$DEF_MASK = $TEMP[2]
						;ExitLoop
					EndIf
					If StringInStr ($LIGNE,"DNS=") <> 0 Then
						;MsgBox(0,"Info","Ligne trouve:" & $LIGNE)
						$TEMP = StringSplit($LIGNE, "=")
						$DEF_DNS = $TEMP[2]
						;ExitLoop
					EndIf
					If StringInStr ($LIGNE,"WINS=") <> 0 Then
						;MsgBox(0,"Info","Ligne trouve:" & $LIGNE)
						$TEMP = StringSplit($LIGNE, "=")
						$DEF_WINS = $TEMP[2]
						;ExitLoop
					EndIf
					If StringInStr ($LIGNE,"SMB_DOMAIN=") <> 0 Then
						;MsgBox(0,"Info","Ligne trouve:" & $LIGNE)
						$TEMP = StringSplit($LIGNE, "=")
						$DEF_SMB_DOMAIN = $TEMP[2]
					EndIf
				Wend
				FileClose($FICHPARAM)
			EndIf

		EndIf


		; Cration de la fentre
		$FENETRE="Mise en place NewSID (1/" & $NB_STEP & ")"
		GUICreate($FENETRE, $GUIWidth, $GUIHeight)

		; Affichage d'un titre: PARAMETRES IP
		;$Label_info = GuiCtrlCreateLabel("Saisie des paramtres rseau", 10, 10, 200, 20, $SS_SIMPLE)
		$Label_info = GuiCtrlCreateLabel("Saisie des paramtres rseau", 10, 10, 200, 20)

		$Adapters=_Get_Adapters()
		;MsgBox(0,"Liste des interfaces rseau",$Adapters)

		$tab_interface=StringSplit($Adapters,"|")
		;$tab_interface[0] est la dimension du tableau
		;$tab_interface[1] est vide
		;$tab_interface[0] est la premire interface rseau
		If $tab_interface[0] < 2 Then
			MsgBox(0,"ERREUR", "Aucune interface rseau n'a t trouve... ABANDON!")
			Exit
		EndIf

		$x0=10
		$x1=25
		$x2=110

		$y1=30
		$y2=40

		$Label_interface = GuiCtrlCreateLabel("Interface", 10, $y1, 45, 20)
		$Champ_interface = GUICtrlCreateCombo("", 60, $y1, $GUIWidth-55-5, 20)
		GUICtrlSetData(-1, $Adapters, $tab_interface[2])

		$y1=$y1+20+3
		$y2=$y2+17+3

		;$Label_DHCP = GuiCtrlCreateLabel("DHCP:", $x1, $y1, 100, 40)
		$Champ_DHCP_oui = GUICtrlCreateRadio("DHCP", $x0, $y1, 60, 20)
		$Champ_DHCP_non = GUICtrlCreateRadio("Ou non...", 90, $y1, 100, 20)
		ControlCommand($FENETRE,"",$Champ_DHCP_non,"Check","")

		$y1=$y1+20
		$y2=$y2+17

		$Label_NETMASK = GuiCtrlCreateLabel("Masque de sous-rseau:", $x2, $y1, 80, 40)
		;$Champ_NETMASK = GUICtrlCreateInput("255.255.0.0", 190, $y2, 100, 20)
		$Champ_NETMASK = GUICtrlCreateInput($DEF_MASK, 190, $y2, 100, 20)


		$y0=$y2+30
		$y1=$y0-2
		$y2=$y1-3
        $y3=$y0-5

		; Cration des champs de formulaire pour les paramtres rseau:
		;$Check_GW = GUICtrlCreateCheckbox("",95,$y0,10,10)
		$Check_GW = GUICtrlCreateCheckbox("Passerelle:",95,$y3,90,20)
		;$Label_GW = GuiCtrlCreateLabel("Passerelle:", 110, $y1, 80, 20)
		;$Champ_GW = GUICtrlCreateInput("10.127.164.1", 190, $y2, 100, 20)
		$Champ_GW = GUICtrlCreateInput($DEF_GW, 190, $y2, 100, 20)
		ControlCommand($FENETRE,"",$Check_GW,"Check","")


		$y2=$y2+25

		$Label_info = GuiCtrlCreateLabel("Cochez les autres paramtres  modifier aprs le clonage:", 10, $y2, 280, 20)





		$y0=$y2+25
		$y1=$y0-2
		$y2=$y1-3
        $y3=$y0-5

		;$Check_DNS1 = GUICtrlCreateCheckbox("",$x0,$y0,10,10)
		$Check_DNS1 = GUICtrlCreateCheckbox("Serveur DNS 1:",$x0,$y3,100,20)
		;$Label_DNS1 = GuiCtrlCreateLabel("Serveur DNS 1:", $x1, $y1, 100, 20)
		;$Champ_DNS1 = GUICtrlCreateInput("10.127.164.1", $x2, $y2, 180, 20)
		$Champ_DNS1 = GUICtrlCreateInput($DEF_DNS, $x2, $y2, 180, 20)

		;ControlCommand($FENETRE,"",$Check_DNS1,"Check","")



		;$Check_NETMASK = GUICtrlCreateCheckbox("",5,95,10,10)
		;$Label_NETMASK = GuiCtrlCreateLabel("Masque de sous-rseau:", 20, 93, 100, 40)
		;$Champ_NETMASK = GUICtrlCreateInput("255.255.0.0", 110, 100, 180, 20)

		;ControlCommand($FENETRE,"",$Check_NETMASK,"Check","")



		$y0=$y2+25
		$y1=$y0-2
		$y2=$y1-3
        $y3=$y0-5
        ;$y3=$y0

		;$Check_WINS = GUICtrlCreateCheckbox("",$x0,$y0,10,10)
		$Check_WINS = GUICtrlCreateCheckbox("Serveur WINS:",$x0,$y3,100,20)
		;$Label_WINS = GuiCtrlCreateLabel("Serveur WINS:", $x1, $y1, 100, 20)
		;$Champ_WINS = GUICtrlCreateInput("10.127.164.2", $x2, $y2, 180, 20)
		$Champ_WINS = GUICtrlCreateInput($DEF_WINS, $x2, $y2, 180, 20)

		;ControlCommand($FENETRE,"",$Check_WINS,"Check","")



		$y0=$y2+25
		$y1=$y0-2
		$y2=$y1-3
        $y3=$y0-5
        ;$y3=$y0

		;$Check_PAUSE = GUICtrlCreateCheckbox("",$x0,$y0,10,10)
		$Check_PAUSE = GUICtrlCreateCheckbox("Effectuer une pause aprs les changements?",$x0,$y3,280,20)
		;$Label_PAUSE = GuiCtrlCreateLabel("Effectuer une pause aprs les changements?", $x1, $y1, 280, 20)



		$y0=$y2+25
		$y1=$y0-2
		$y2=$y1-3
        $y3=$y0-5
        ;$y4=$y3+20
        $y4=$y3+18

		;$Check_SE3 = GUICtrlCreateCheckbox("",$x0,$y0,10,10)
		$Check_SE3 = GUICtrlCreateCheckbox("Voulez-vous intgrer un domaine SambaEdu3 dans la",$x0,$y3,280,20)
        $Label_SUITE_SE3 = GuiCtrlCreateLabel("foule?", $x1+5, $y4, 280, 20)
        ;$Label_SE3 = GuiCtrlCreateLabel("Voulez-vous intgrer un domaine SambaEdu3 dans la foule?", $x1, $y1, 280, 40)



        ;$y0=$y2+35
        $y0=$y2+38
		$y1=$y0-2
		$y2=$y1-3
        $y3=$y0-5

		;$Check_ACL = GUICtrlCreateCheckbox("",$x0,$y0,10,10)
		$Check_ACL = GUICtrlCreateCheckbox("Ne pas mettre d'ACL sur le dossier " & $SystemDrive & "\temp\clone",$x0,$y3,280,20)
		;$Label_ACL = GuiCtrlCreateLabel("Ne pas mettre d'ACL sur le dossier " & $SystemDrive & ":\temp\clone", $x1, $y1, 280, 40)


		$y0=$y2+25
		$y1=$y0-2
		$y2=$y1-3
        $y3=$y0-5

		; C:\WINDOWS\wpkg-client.vbs
		$Check_WPKG = GUICtrlCreateCheckbox("Nettoyer la tche WPKG (si prsente)",$x0,$y3,280,20)
		ControlCommand($FENETRE,"",$Check_WPKG,"Check","")



		$y0=$y2+30
		$y1=$y0-2
		$y2=$y1-3

		$Label_INFO = GuiCtrlCreateLabel("Si vous dcochez ou videz la passerelle, la passerelle sera supprime (elle sera donc modifie).", $x0, $y1, 280, 40)


		$y0=$y2+45

		$x=($GUIWidth-2*70-35)/2

		; Cration du bouton "OK"
		;$OK_Btn = GUICtrlCreateButton("OK", 75, 165, 70, 25)
		$OK_Btn = GUICtrlCreateButton("OK", $x, $y0, 70, 25)


		$x=$x+70+35

		; Cration du bouton "CANCEL"
		;$Cancel_Btn = GUICtrlCreateButton("Cancel", 165, 165, 70, 25)
		$Cancel_Btn = GUICtrlCreateButton("Cancel", $x, $y0, 70, 25)


		ControlFocus($FENETRE,"",$Champ_DHCP_non)
		

		; On rend la fentre visible (modification de statut)
		GUISetState(@SW_SHOW)

		; On fait une boucle jusqu' ce que:
		; - l'utilisateur presse ESC
		; - l'utilisateur presse ALT+F4
		; - l'utilisateur clique sur le bouton de fermeture de la fentre
		While 1
			; Aprs chaque boucle, on contrle si l'utilisateur a cliqu sur quelque chose
			$msg = GUIGetMsg()

			Select
				; On teste si l'utilisateur a cliqu sur le bouton de fermeture
				Case $msg = $GUI_EVENT_CLOSE
					; On dtruit la fentre et ses contrles
					GUIDelete()
					; Et on quitte le script
					Exit

				; On teste si l'utilisateur a cliqu sur le bouton OK
				Case $msg = $OK_Btn

					;=======================================================
					; Rcupration du contenu des champs de formulaire

					$Interface_reseau=GUICtrlRead($Champ_interface)
					; On inscrit le nom de l'interface via une commande DOS pour ne pas tre gn par les accents
					DirCreate($SystemDrive & "\temp\clone")
					RunWait(@Comspec & " /c echo [InterfaceReseau] > " & $SystemDrive & "\temp\clone\interface_reseau.ini & echo INTERFACE=" & $Interface_reseau & " >> " & $SystemDrive & "\temp\clone\interface_reseau.ini")
					; Ca ne fonctionne pas avec le .INI, par contre, c'est OK avec le .BAT... NON! CA FOIRE AUSSI!
					RunWait(@Comspec & " /c echo set INTERFACE=" & $Interface_reseau & " > " & $SystemDrive & "\temp\clone\interface_reseau.bat")
					
					; Est-ce qu'on pourrait rcuprer le rang de l'interface? 
					; Est-ce que la requte effectue via VBS donne toujours les interfaces dans le mme ordre?
					
					$DHCP_ou_pas = GUICtrlRead($Champ_DHCP_non)
					If $DHCP_ou_pas == 1 Then
						$DHCP = "non"
					Else
						$DHCP = "oui"
					EndIf

					$NETMASK = GUICtrlRead($Champ_NETMASK)

					$GWcheck = GUICtrlRead($Check_GW)
					If $GWcheck == 1 Then
						$GW = GUICtrlRead($Champ_GW)
					Else
						; La commande netsh ne permet pas de laisser inchange la passerelle en cas de changement IP.
						; Mais avec 'none', il est possible de la supprimer.
						$GW = "none"
					EndIf

					$DNS1check = GUICtrlRead($Check_DNS1)
					If $DNS1check == 1 Then
						$DNS1 = GUICtrlRead($Champ_DNS1)
						If $DNS1 == "" Then
							$DNS1 = "aucun"
						EndIf
					Else
						$DNS1 = ""
					EndIf

					$WINScheck = GUICtrlRead($Check_WINS)
					If $WINScheck == 1 Then
						$WINS = GUICtrlRead($Champ_WINS)
						If $WINS == "" Then
							$WINS = "aucun"
						EndIf
					Else
						$WINS = ""
					EndIf

					$PAUSE = GUICtrlRead($Check_PAUSE)
					;MsgBox(0,"Info","PAUSE = " & $PAUSE)

					$SE3check = GUICtrlRead($Check_SE3)
					;MsgBox(0,"Info","SE3check = " & $SE3check)


					$ACLcheck = GUICtrlRead($Check_ACL)
					If $ACLcheck == 1 Then
						$ACL="non"
					Else
                        $ACL="oui"
                    EndIf


					$WPKGcheck = GUICtrlRead($Check_WPKG)
					If $WPKGcheck == 1 Then
						For $i=0 To UBound($WPKG_files) - 1
							;MsgBox(0,"Info","$WPKG_files["&$i&"]=" & $WPKG_files[$i])
							If FileExists(@WindowsDir & "\" & $WPKG_files[$i]) Then
								If FileRecycle(@WindowsDir & "\" & $WPKG_files[$i]) Then
									MsgBox(0,"Information","Suppression de " & @WindowsDir & "\" & $WPKG_files[$i] & " russie.",1)
								Else
									MsgBox(0,"Erreur","La suppression de " & @WindowsDir & "\" & $WPKG_files[$i] & " a chou." & @CRLF & "Supprimez ce fichier manuellement avant le clonage.")
								EndIf
							EndIf
						Next
						
						If FileExists(@WindowsDir & "\Tasks\wpkg.job") Then
							;If FileRecycle(@WindowsDir & "\Tasks\wpkg.job") Then
							;	MsgBox(0,"Information","Suppression de " & @WindowsDir & "\Tasks\wpkg.job russie.",1)
							;Else
							;	MsgBox(0,"Erreur","La suppression de " & @WindowsDir & "\Tasks\wpkg.job a chou.",2)
							;EndIf
							RunWait(@ComSpec & " /c SCHTASKS /Delete /TN wpkg /F","",@SW_HIDE)
							;Sleep(1000)
							If FileExists(@WindowsDir & "\Tasks\wpkg.job") Then
								MsgBox(0,"Erreur","La suppression de la tche WPKG a chou." & @CRLF & "Supprimez cette tche manuellement avant le clonage.")
							Else
								MsgBox(0,"Information","Suppression de la tche WPKG russie.",1)
							EndIf
						EndIf
					EndIf
					;=======================================================

					;=======================================================
					; Contrle des saisies:
					If $GW <> "none" Then
						If $GW <> "" Then
							verif_ip($GW)
						Else
							$GW = "none"
						EndIf
					EndIf

					If $DNS1 <> "aucun" AND $DNS1 <> "" Then
						verif_ip($DNS1)
					EndIf

					If $NETMASK <> "" Then
						verif_ip($NETMASK)
					EndIf

					If $WINS <> "aucun" AND $WINS <> "" Then
						verif_ip($WINS)
					EndIf
					;=======================================================

					;=======================================================
					; Copie du dossier contenant les scripts post-clonage:
					;DirCopy("temp","C:\temp",1)
					DirCopy(@ScriptDir & "\temp",$SystemDrive & "\temp",1)
					;=======================================================


					If $DHCP == "oui" Then
						$FICHDHCP = FileOpen($SystemDrive & "\temp\clone\temoin_dhcp.txt",2)
						If $FICHDHCP = -1 Then
							MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & $SystemDrive & "\temp\clone\temoin_dhcp.txt'!")
							Exit
						EndIf

						FileWriteLine($FICHDHCP,"Client DHCP")
						FileClose($FICHDHCP)
					EndIf

					;=======================================================
					; Cration du fichier de modification des ACL sur C:\temp\clone:
					; Finalement, je l'ai mis directement dans le dossier 'clone'.
					;$FICHACL = FileOpen("C:\temp\clone\modif_acl.bat",2)
					;If $FICHACL = -1 Then
					;	MsgBox(0, "Erreur", "Il n'a pas t possible d'ouvrir le fichier!")
					;	Exit
					;EndIf

					;FileWriteLine($FICHACL,"echo o > o.txt")
					;FileWriteLine($FICHACL,"cacls c:\temp\clone /E /T /C 'Tout le monde':N < o.txt")
					;FileWriteLine($FICHACL,"cacls c:\temp\clone /T /C Administrateurs:F < o.txt" & @CRLF)
					;FileWriteLine($FICHACL,"cacls c:\temp\clone /T /C Administrateurs:R < o.txt")
					;FileWriteLine($FICHACL,"cacls c:\temp\clone /E /T /C Administrateurs:W < o.txt")
					;FileWriteLine($FICHACL,"cacls c:\temp\clone /E /T /C Administrateurs:C < o.txt")
					;FileWriteLine($FICHACL,"")
					;FileClose($FICHACL)

                    If $ACL == "oui" Then
    					RunWait($SystemDrive & "\temp\clone\modif_acl.bat")
                    Else
                        MsgBox(0,"Info","Vous n'avez pas souhait placer d'ACL sur le dossier CLONE." & @CRLF & "Cela signifie que toute personne accdant  une des machines clones avant le nettoyage du dossier CLONE, pourra y lire les mots de passe ventuellement stocks.")
                    EndIf
					;=======================================================

					;=======================================================
					; Cration du fichier de paramtres IP:
					$FICHPARAMS = FileOpen($SystemDrive & "\temp\clone\params.bat",2)
					;$FICHPARAMS = FileOpen("C:\temp\clone\params.bat",256)
					If $FICHPARAMS = -1 Then
						MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & $SystemDrive & "\temp\clone\params.bat'!")
						Exit
					EndIf

					FileWriteLine($FICHPARAMS,"set DHCP=" & $DHCP)
					FileWriteLine($FICHPARAMS,"set GW=" & $GW)
					FileWriteLine($FICHPARAMS,"set DNS1=" & $DNS1)
					FileWriteLine($FICHPARAMS,"set NETMASK=" & $NETMASK)
					FileWriteLine($FICHPARAMS,"set WINS=" & $WINS)
					; On n'a pas ce qu'il faut comme accent dans ce cas???
					FileWriteLine($FICHPARAMS,"set INTERFACE=" & $Interface_reseau)
					FileClose($FICHPARAMS)

					$FICHPARAMS = FileOpen($SystemDrive & "\temp\clone\params.ini",2)
					If $FICHPARAMS = -1 Then
						MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & $SystemDrive & "\temp\clone\params.ini'!")
						Exit
					EndIf

					FileWriteLine($FICHPARAMS,"[ParametresReseau]")
					FileWriteLine($FICHPARAMS,"DHCP=" & $DHCP)
					FileWriteLine($FICHPARAMS,"GW=" & $GW)
					FileWriteLine($FICHPARAMS,"DNS1=" & $DNS1)
					FileWriteLine($FICHPARAMS,"NETMASK=" & $NETMASK)
					FileWriteLine($FICHPARAMS,"WINS=" & $WINS)
					; L'accent ne passe pas correctement...
					FileWriteLine($FICHPARAMS,"INTERFACE=" & $Interface_reseau)
					FileClose($FICHPARAMS)
					
					; Cela merdoie sur INTERFACE=Connexion au rseau local
					; L'accent crit dans les fichiers de paramtres n'est pas un accent DOS.
					;=======================================================

					;=======================================================
					If $PAUSE == 1 Then
						$FICHMODIFIP = FileOpen($SystemDrive & "\temp\clone\modifip4.bat",1)
						If $FICHMODIFIP = -1 Then
							MsgBox(0, "Erreur", "Il n'a pas t possible d'ouvrir le fichier " & $SystemDrive & "\temp\clone\modifip4.bat")
							Exit
						EndIf

						FileWriteLine($FICHMODIFIP,"@pause")
						FileClose($FICHMODIFIP)
					EndIf
					;=======================================================


                    ; Regnrer le fichier C:\temp\clone\param.ini
                    $FICHPARAMINI=FileOpen($SystemDrive & "\temp\clone\param.ini",0)
                    If $FICHPARAMINI = -1 Then
                        $ECRASER_PARAM_INI="oui"
                    Else
                        $ECRASER_PARAM_INI="non"
                        While 1
                            $LIGNE = FileReadLine($FICHPARAMINI)
                            ;MsgBox(0,"Info",$LIGNE)
                            If @error = -1 Then ExitLoop
                            If StringInStr($LIGNE,"GW=") <> 0 Then
                                ;MsgBox(0,"Info","Ligne GW trouve: " & $LIGNE)
                                $TEMP=StringSplit($LIGNE,"=")
                                $TABGW=StringSplit($TEMP[2],".")
                                ;MsgBox(0,"Info","TABGW[1]=" & $TABGW[1])
                                $TAB2GW=StringSplit($GW,".")
                                ;MsgBox(0,"Info","TABGW[1]=" & $TABGW[1] & " et TAB2GW[1]=" & $TAB2GW[1])
                                ;MsgBox(0,"Info","TABGW[2]=" & $TABGW[2] & " et TAB2GW[2]=" & $TAB2GW[2])
                                If $TABGW[1] <> $TAB2GW[1] OR $TABGW[2] <> $TAB2GW[2] Then
                                    $ECRASER_PARAM_INI="oui"
                                EndIf
                                ExitLoop
                            EndIf
                        Wend
                        FileClose($FICHPARAMINI)
                    EndIf

                    If $ECRASER_PARAM_INI == "oui" Then
                        $FICHPARAMINI=FileOpen($SystemDrive & "\temp\clone\param.ini",2)
                        If $FICHPARAMINI = -1 Then
                            $ERREUR_REECRITURE="oui"
                            MsgBox(0,"Info","Erreur  la r-criture du " & $SystemDrive & "\temp\clone\param.ini")
                        Else
                            If $GW <> "" Then
                                FileWrite($FICHPARAMINI,"GW=" & $GW & @CRLF)
                                ;MsgBox(0,"Info","Ecriture de GW=" & $GW & " dans C:\temp\clone\param.ini")
                            ;Else
                                ;MsgBox(0,"Info","GW est vide")
                            EndIf

                            If $DNS1 <> "" Then
                                FileWrite($FICHPARAMINI,"DNS1=" & $DNS1 & @CRLF)
                            EndIf

                            If $NETMASK <> "" Then
                                FileWrite($FICHPARAMINI,"NETMASK=" & $NETMASK & @CRLF)
                            EndIf

                            If $WINS <> "" Then
                                FileWrite($FICHPARAMINI,"WINS=" & $WINS & @CRLF)
                            EndIf

                            If $DHCP == "non" Then
                                If $GW <> "" Then
                                    $TAB2GW=StringSplit($GW,".")
                                    If $TAB2GW[1] == "192" AND $TAB2GW[2] == "168" Then
                                        FileWrite($FICHPARAMINI,"PREFIP=" & $TAB2GW[1] & "." & $TAB2GW[2] & "." & $TAB2GW[3] & "." & @CRLF)
                                    Else
                                        FileWrite($FICHPARAMINI,"PREFIP=" & $TAB2GW[1] & "." & $TAB2GW[2] & "." & @CRLF)
                                    EndIf
                                Else
                                    FileWrite($FICHPARAMINI,"PREFIP=10.127." & @CRLF)
                                EndIf
                            EndIf

                            FileClose($FICHPARAMINI)
                        EndIf
                    EndIf

					GUIDelete()
					ExitLoop


				; On teste si l'utilisateur a cliqu sur le bouton CANCEL
				Case $msg = $Cancel_Btn
					MsgBox(64, "Abandon!", "Vous avez souhait abandonner la mise en place.")

					; Nettoyage:
                    If FileExists($SystemDrive & "\temp\nettoye2.exe") Then
    					RunWait($SystemDrive & "\temp\nettoye2.exe")
                    EndIf
					;FileRecycle("c:\temp\clone")
					FileRecycle($SystemDrive & "\temp\nettoye2.exe")
					;FileRecycle("C:\temp\corrige_acl_temp.bat")
					FileRecycleEmpty()

					GUIDelete()
					Exit
			EndSelect
		WEnd

		;================================================================================
		;================================================================================
		; Fichier NOM;MAC;IP

		; On autorise le fichier NOM;MAC;IP dans le cas DHCP
		;If $SE3check == 1 AND $DHCP == "oui" Then
		;	$bidon="oui"
		;Else
			; Cration de la fentre
			$FENETRE="Fichier de correspondance NOM;MAC;IP;WKGRP (2/" & $NB_STEP & ")"
			$GUIWidth = 300
			$GUIHeight = 140
			GUICreate($FENETRE, $GUIWidth, $GUIHeight)

			; Affichage d'un titre:
			;$Label_info = GuiCtrlCreateLabel("Disposez-vous d'un fichier de correspondances" & @CRLF & "    NOM;MAC;IP;WORKGROUP" & @CRLF & "L'adresse IP saisie peut tre 'DHCP' pour une configuration client DHCP." & @CRLF  & "Si vous disposez d'un tel fichier, il va vous tre propos de 'Parcourir' l'arborescence locale pour mettre en place ce fichier." & @CRLF & "Il permettra un re-paramtrage automatique des stations aprs clonage.", 10, 10, 280, 80, $SS_SUNKEN)
			$Label_info = GuiCtrlCreateLabel("Disposez-vous d'un fichier de correspondances" & @CRLF & "    NOM;MAC;IP;WORKGROUP" & @CRLF & "L'adresse IP saisie peut tre 'DHCP' pour une configuration client DHCP." & @CRLF  & "Si vous disposez d'un tel fichier, il va vous tre propos de 'Parcourir' l'arborescence locale pour mettre en place ce fichier." & @CRLF & "Il permettra un re-paramtrage automatique des stations aprs clonage.", 10, 10, 280, 80)

			$y0=100

			$x=($GUIWidth-2*70-35)/2

			; Cration du bouton "OUI"
			$OUI_Btn = GUICtrlCreateButton("OUI", $x, $y0, 70, 25)


			$x=$x+70+35

			; Cration du bouton "NON"
			$NON_Btn = GUICtrlCreateButton("NON", $x, $y0, 70, 25)




			; On rend la fentre visible (modification de statut)
			GUISetState(@SW_SHOW)

			; On fait une boucle jusqu' ce que:
			; - l'utilisateur presse ESC
			; - l'utilisateur presse ALT+F4
			; - l'utilisateur clique sur le bouton de fermeture de la fentre
			While 1
				; Aprs chaque boucle, on contrle si l'utilisateur a cliqu sur quelque chose
				$msg = GUIGetMsg()

				Select
					; On teste si l'utilisateur a cliqu sur le bouton de fermeture
					Case $msg = $GUI_EVENT_CLOSE
						; Nettoyage:
						FileRecycle($SystemDrive & "\temp\clone")
						FileRecycle($SystemDrive & "\temp\nettoye2.exe")
						FileRecycle($SystemDrive & "\temp\corrige_acl_temp.bat")
						FileRecycleEmpty()

						; On dtruit la fentre et ses contrles
						GUIDelete()
						; Et on quitte le script
						Exit

					; On teste si l'utilisateur a cliqu sur le bouton OK
					Case $msg = $OUI_Btn
						$FICH_CORRESP_NOM_MAC_IP = FileOpenDialog("Choisissez le fichier de correspondances NOM;MAC;IP;WORKGROUP", "Poste de travail","All (*.*)", 1)

						;Mise en place du fichier:
						FileCopy($FICH_CORRESP_NOM_MAC_IP,$SystemDrive & "\temp\clone\correspondance_nom_mac_ip.ini",1)
						; Pour se3>=1.50... sachant qu'on peut avoir 'DHCP'  la place d'une IP... ce n'est plus vraiment de l'IP fixe.
						DirCreate($SystemDrive & "\netinst")
						FileCopy($FICH_CORRESP_NOM_MAC_IP,$SystemDrive & "\netinst\ipfixe.csv",1)

						GUIDelete()
						ExitLoop

					; On teste si l'utilisateur a cliqu sur le bouton CANCEL
					Case $msg = $NON_Btn
						; Pas de fichier  mettre en place...
						GUIDelete()
						ExitLoop
				EndSelect
			WEnd
		;EndIf

		;================================================================================
		;================================================================================
		; Fentre SE3:
		If $SE3check == 1 Then
			$GUIWidth = 320
			$GUIHeight = 180
			; Cration de la fentre
			$FENETRE="Saisie des paramtres SambaEdu3"
			GUICreate($FENETRE, $GUIWidth, $GUIHeight)


			; Affichage d'un titre: Paramtres SE3
			;$Label_info = GuiCtrlCreateLabel("Paramtres SE3", 10, 10, 80, 20, $SS_SUNKEN)
			$Label_info = GuiCtrlCreateLabel("Paramtres SE3", 10, 10, 80, 20)

			$x0=5
			$x1=25
			$x2=160

			$y1=43
			$y2=40

			$Label_DOMAINE = GuiCtrlCreateLabel("Domaine:", $x1, $y1, 120, 20)
			;$Champ_DOMAINE = GUICtrlCreateInput("SAMBAEDU3", $x2, $y2, 140, 20)
			$Champ_DOMAINE = GUICtrlCreateInput($DEF_SMB_DOMAIN, $x2, $y2, 140, 20)

			$y0=$y2+25
			$y1=$y0-2
			$y2=$y1-3

			$Label_SE3 = GuiCtrlCreateLabel("IP ou nom du SE3:", $x1, $y1, 120, 20)
			If $WINS <> "" AND $WINS <> "aucun" Then
				$Champ_SE3 = GUICtrlCreateInput($WINS, $x2, $y2, 140, 20)
			Else
				$Champ_SE3 = GUICtrlCreateInput("10.127.164.2", $x2, $y2, 140, 20)
			EndIf

			$y0=$y2+25
			$y1=$y0-2
			$y2=$y1-3

			;$Label_MDP_ADMIN_SE3 = GuiCtrlCreateLabel("Mot de passe d'admin:", $x1, $y1, 120, 20)
			$Label_MDP_ADMIN_SE3 = GuiCtrlCreateLabel("Mot de passe d'" & $USER_ADMIN_SE3 & ":", $x1, $y1, 140, 20)
			$Champ_MDP_ADMIN_SE3 = GUICtrlCreateInput("", $x2, $y2, 140, 20)
; A REVOIR: Avec se3<1.50, c'est admin et sinon adminse3
			ControlFocus($FENETRE,"",$Champ_MDP_ADMIN_SE3)

			$y0=$y2+25
			$y1=$y0-2
			$y2=$y1-3

			$Label_Info_Mdp = GuiCtrlCreateLabel("Le mot de passe requis est celui d'adminse3 dans le cas o SE3>=1.50 et celui d'admin sinon.", $x1, $y1, 280, 40)

			$y0=$y2+40
			$x=($GUIWidth-2*70-35)/2

			; Cration du bouton "OK"
			$OK_Btn = GUICtrlCreateButton("OK", $x, $y0, 70, 25)

			$x=$x+70+35

			; Cration du bouton "CANCEL"
			$Cancel_Btn = GUICtrlCreateButton("Cancel", $x, $y0, 70, 25)

			; On rend la fentre visible (modification de statut)
			GUISetState(@SW_SHOW)

			;MsgBox(0,"Info 1","SE3check = " & $SE3check)
			While 1
				; Aprs chaque boucle, on contrle si l'utilisateur a cliqu sur quelque chose
				$msg = GUIGetMsg()

				Select
					; On teste si l'utilisateur a cliqu sur le bouton de fermeture
					Case $msg = $GUI_EVENT_CLOSE
						; On dtruit la fentre et ses contrles
						GUIDelete()
						; Et on quitte le script
						Exit

					; On teste si l'utilisateur a cliqu sur le bouton OK
					Case $msg = $OK_Btn
						;=======================================================
						; Rcupration du contenu des champs de formulaire

						$DOMAINE = GUICtrlRead($Champ_DOMAINE)
						$SE3= GUICtrlRead($Champ_SE3)
						$MDP_ADMIN_SE3 = GUICtrlRead($Champ_MDP_ADMIN_SE3)
						;=======================================================

						WinSetState($FENETRE,"",@SW_MINIMIZE)

						If $DOMAINE == "" Then
							MsgBox(0,"Erreur","Le nom du domaine ne peut pas tre vide." & @CRLF & "L'intgration de SE3 ne sera pas mise en place.")
							WinSetState($FENETRE,"",@SW_RESTORE)
							ExitLoop
						Else
							If $SE3 == "" Then
								MsgBox(0,"Erreur","Le nom/IP du serveur SE3 ne peut pas tre vide." & @CRLF & "L'intgration de SE3 ne sera pas mise en place.")
								WinSetState($FENETRE,"",@SW_RESTORE)
								ExitLoop
							Else
								;=====================================================
								; Stockage des paramtres SE3 pour permettre
								; le renseignement du clients.ini par la suite
								; lors du redmarrage de chaque clone.

								; ====
								; Ce fichier n'est plus utilis!
								; ====

								;$FICHPARAMSE3 = FileOpen("C:\temp\clone\param_se3.txt",2)
								;If $FICHPARAMSE3 = -1 Then
								;	MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier" & @CRLF & "'C:\temp\clone\param_se3.txt'!")
								;	Exit
								;EndIf

								;FileWriteLine($FICHPARAMSE3,$DOMAINE & @CRLF)
								;FileWriteLine($FICHPARAMSE3,$SE3 & @CRLF)
								;FileWriteLine($FICHPARAMSE3,$MDP_ADMIN_SE3 & @CRLF)
								;FileClose($FICHPARAMSE3)
								
								SplashTextOn("Accs au SE3","Recherche de \\" & $SE3 & "\netlogon",500,60,-1,0)
								; TEST DE LA VERSION DE SAMBAEDU3
								$version_se3="1.18.6_ou_avant"

								;$run_acces_se3=RunWait(@Comspec & " /c net use \\" & $SE3 & "\netlogon /user:" & $DOMAINE & "\admin " & $MDP_ADMIN_SE3 & " /persistent:no")
								$LECTEUR=_chercher_lecteur_libre()
								
								$TEST_netlogon=_chercher_lecteur_reseau("NETLOGON")
								If $TEST_netlogon <> "" Then 
									$LECTEUR=$TEST_netlogon
									$menage=RunWait(@Comspec & " /c net use " & $LECTEUR & ": /delete /y")
								EndIf
								
								;$LECTEUR="P"
								$run_acces_se3=RunWait(@Comspec & " /c net use " & $LECTEUR & ": \\" & $SE3 & "\netlogon /user:" & $DOMAINE & '\' & $USER_ADMIN_SE3 & " " & $MDP_ADMIN_SE3 & " /persistent:no")
								If $run_acces_se3 == 0 Or $TEST_netlogon <> "" Then
									;SplashTextOn("Accs au SE3","Succs de l'accs  \\" & $SE3 & "\netlogon" & @CRLF & "Copie des fichiers de domscripts...")
									SplashTextOn("Accs au SE3","Succs de l'accs  \\" & $SE3 & "\netlogon" & @CRLF & "mont en " & $LECTEUR & ":" & @CRLF & "Copie des fichiers de domscripts...",500,100,-1,0)
									Sleep(1000)

									DirCreate($SystemDrive & "\netinst")

									;If FileExists("\\" & $SE3 & "\netlogon\domscripts\" & $DOMSCRIPTS_SE3_BATCH) Then
									If FileExists($LECTEUR & ":\domscripts\" & $DOMSCRIPTS_SE3_BATCH) Then
										$version_se3="au_moins_1.50"
										SplashTextOn("Accs au SE3","Le fichier \\" & $SE3 & "\netlogon\domscripts\" & $DOMSCRIPTS_SE3_BATCH & " existe." & @CRLF & "On a donc SE3>=1.50",500,100,-1,0)
										Sleep(1000)
										
										;$COPIE=FileCopy("\\" & $SE3 & "\netlogon\domscripts\*.*", $SystemDrive & "\netinst\", 1)
										$COPIE=FileCopy($LECTEUR & ":\domscripts\*.*", $SystemDrive & "\netinst\", 1)
										If $COPIE = 0 Then
											MsgBox(48,"ERREUR","Echec de la copie des fichiers de " & $SE3 & "\netlogon\domscripts\ vers " & $SystemDrive & "\netinst\")
											Exit
										EndIf
										SplashTextOn("Accs au SE3","Copie de \\" & $SE3 & "\netlogon\domscripts\*.* effectue.",500,100,-1,0)
										Sleep(1000)

										;$COPIE=FileCopy("\\" & $SE3 & "\netlogon\CPAU.exe", $SystemDrive & "\netinst\", 1)
										If FileExists($LECTEUR & ":\CPAU.exe") Then
											$COPIE=FileCopy($LECTEUR & ":\CPAU.exe", $SystemDrive & "\netinst\", 1)
											If $COPIE = 0 Then
												MsgBox(48,"ERREUR","Echec de la copie de \\" & $SE3 & "\netlogon\CPAU.exe vers " & $SystemDrive & "\netinst\")
												Exit
											EndIf
										Else
												MsgBox(48,"ERREUR","Le fichier \\" & $SE3 & "\netlogon\CPAU.exe n'a pas t trouv.")
												Exit											
										EndIf

										SplashTextOn("Accs au SE3","Copie de \\" & $SE3 & "\netlogon\CPAU.exe effectue.",500,100,-1,0)
										Sleep(1000)
										
										$FICH=FileOpen($SystemDrive & "\netinst\action.bat",2)
										If $FICH = -1 Then
											MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier " & @CRLF & "'" & $SystemDrive & "\netinst\action.bat'!")
											Exit
										EndIf
										FileWriteLine($FICH,"set ACTION=manuel" & @CRLF)
										FileClose($FICH)
										SplashTextOn("Accs au SE3","Cration de " & $SystemDrive & "\netinst\action.bat effectue.",500,100,-1,0)
										Sleep(1000)
										
										$FICH=FileOpen($SystemDrive & "\netinst\ifconfig.bat",2)
										If $FICH = -1 Then
											MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier " & @CRLF & "'" & $SystemDrive & "\netinst\ifconfig.bat'!")
											Exit
										EndIf
										FileWriteLine($FICH,"if exist %systemdrive%\temp\clone\clone150.exe %systemdrive%\temp\clone\clone150.exe" & @CRLF)
										FileClose($FICH)
										SplashTextOn("Accs au SE3","Cration de " & $SystemDrive & "\netinst\ifconfig.bat effectue.",500,100,-1,0)
										Sleep(1000)
										
										If Not FileExists($SystemDrive & "\netinst\ipfixe.csv") Then
											$FICH=FileOpen($SystemDrive & "\netinst\ipfixe.csv",2)
											If $FICH = -1 Then
												MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier " & @CRLF & "'" & $SystemDrive & "\netinst\ipfixe.csv" & "'!")
												Exit
											Else
												FileWriteLine($FICH,"Fichier temoin pour que IntegSE3.cmd lance ifconfig.bat qui lancera clone150.exe" & @CRLF)
												FileClose($FICH)
											EndIf
										EndIf
										SplashTextOn("Accs au SE3","Cration de " & $SystemDrive & "\netinst\ipfixe.csv effectue.",500,100,-1,0)
										Sleep(1000)
									EndIf
								EndIf
								$run_suppr_acces_se3=RunWait(@Comspec & " /c net use " & $LECTEUR & ": /delete /y")
								SplashOff()
								
								
								; $version_se3="au_moins_1.50"
								If $version_se3 == "au_moins_1.50" Then
									MsgBox(0,"Information","Le fichier \\" & $SE3 & "\netlogon\domscripts\" & $DOMSCRIPTS_SE3_BATCH & " a t trouv." & @CRLF & "On suppose que l'on est en SE3>=1.50",3)
									
									MsgBox(0,"Information","La machine va tre passe en client DHCP pour viter un affichage de conflits IP aprs le clonage." & @CRLF & "Ce passage en client DHCP est sans rapport avec votre choix d'effectuer par la suite une configuration client DHCP ou IP fixe.",3)
									;RunWait("C:\temp\clone\dhcp.bat")
									_Set_DHCP($Interface_reseau)
									
									MsgBox(0, "Poste prt", "Le poste est (presque) prt pour le clonage." & @CRLF & "Il va positionner quelques cls,... et s'teindre une fois que vous aurez valid cette fentre.")
									RunWait(@ComSpec & " /c " & $SystemDrive & "\netinst\shutdown.cmd")
									; Il faudrait faire le mnage dans C:\temp\clone... ne laisser que ce qui est utile
									; Et il faudra que le nettoyage2.exe soit lanc...
									Exit
								Else
									MsgBox(0,"Information","Aucun \\" & $SE3 & "\netlogon\domscripts\" & $DOMSCRIPTS_SE3_BATCH & " n'a t trouv." & @CRLF & "On suppose que l'on est en SE3<=1.18.6",3)
									; Donc on intgre le domaine avec le compte admin et non adminse3
									$USER_ADMIN_SE3="admin"
								EndIf

								; *****************************************************************************************************************************
								; *** ATTENTION *** *** ATTENTION *** *** ATTENTION *** *** ATTENTION *** *** ATTENTION *** *** ATTENTION *** *** ATTENTION ***
								; *****************************************************************************************************************************
								; ****************************
								; ****************************
								; La suite concerne se3 < 1.50
								; ****************************
								; ****************************
								;=====================================================
								$FICHMDPSE3 = FileOpen($SystemDrive & "\temp\clone\admin_mdp.bat",2)
								If $FICHMDPSE3 = -1 Then
									MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier" & @CRLF & "'" & $SystemDrive & "\temp\clone\admin_mdp.bat'!")
									Exit
								EndIf

								FileWriteLine($FICHMDPSE3,"set USER_ADMIN_SE3=" & $USER_ADMIN_SE3 & @CRLF)
								FileWriteLine($FICHMDPSE3,"set MDP_ADMIN_SE3=" & $MDP_ADMIN_SE3 & @CRLF)
								FileClose($FICHMDPSE3)
								;=====================================================


								$FICHSE3 = FileOpen($SystemDrive & "\temp\clone\se3.bat",2)
								If $FICHSE3 = -1 Then
									MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier" & @CRLF & "'" & $SystemDrive & "\temp\clone\se3.bat'!")
									Exit
								EndIf

								FileWriteLine($FICHSE3,"@call " & $SystemDrive & "\temp\clone\admin_mdp.bat > NUL" & @CRLF)
								FileWriteLine($FICHSE3,"@" & $SystemDrive & @CRLF)
								FileWriteLine($FICHSE3,"@cd \" & @CRLF)
								FileWriteLine($FICHSE3,"@echo *******************" & @CRLF)
								FileWriteLine($FICHSE3,"@echo * INTEGRATION SE3 *" & @CRLF)
								FileWriteLine($FICHSE3,"@echo *******************" & @CRLF)
								FileWriteLine($FICHSE3,"@echo ." & @CRLF)
								FileWriteLine($FICHSE3,"@if not exist p:\nul goto suite" & @CRLF)
								FileWriteLine($FICHSE3,"@echo Suppression du lecteur reseau P: actuel:" & @CRLF)
								FileWriteLine($FICHSE3,"@net use p: /delete /y" & @CRLF)
								FileWriteLine($FICHSE3,":suite" & @CRLF)
								FileWriteLine($FICHSE3,"@echo Connexion du lecteur reseau P: sur le partage [Progs]:" & @CRLF)
								FileWriteLine($FICHSE3,"@echo net use p: \\" & $SE3 & "\Progs /persistent:no /user:" & $DOMAINE & "\%USER_ADMIN_SE3% XXXXXX" & @CRLF)
								FileWriteLine($FICHSE3,"@net use p: \\" & $SE3 & "\Progs /persistent:no /user:" & $DOMAINE & "\%USER_ADMIN_SE3% %MDP_ADMIN_SE3%" & @CRLF)
								FileWriteLine($FICHSE3,"@if errorlevel 1 goto erreur" & @CRLF)

								;Nettoyage:
								FileWriteLine($FICHSE3,"@del " & $SystemDrive & "\temp\clone\admin_mdp.bat" & @CRLF)

								FileWriteLine($FICHSE3,"@p:" & @CRLF)
								FileWriteLine($FICHSE3,"@cd \install\installdll" & @CRLF)

								FileWriteLine($FICHSE3,"@echo Le VBS d integration au domaine va etre lance..." & @CRLF)

								If @OSVersion == "WIN_XP" Then
									; Si le SE3 n'a pas t mis  jour depuis longtemps,
									; ou plutt si l'installeur n'a pas t mis  jour depuis longtemps,
									; il peut ne pas y avoir de rejoin_se3_XP, mais seulement un rejoinsambaedu3
									FileWriteLine($FICHSE3,"@if exist rejoin_se3_XP.vbs goto xp" & @CRLF)

									FileWriteLine($FICHSE3,"@if exist rejoinsambaedu3_clone.vbs goto clone1" & @CRLF)
									FileWriteLine($FICHSE3,"@echo Le fichier rejoin_se3_XP.vbs n a pas t trouve." & @CRLF)
									FileWriteLine($FICHSE3,"@echo Alternative: Lancement de rejoinsambaedu3.vbs" & @CRLF)
									FileWriteLine($FICHSE3,"@echo Soyez patient..." & @CRLF)
									FileWriteLine($FICHSE3,"@call rejoinsambaedu3.vbs" & @CRLF)
									FileWriteLine($FICHSE3,"@goto fin" & @CRLF)

									FileWriteLine($FICHSE3,":clone1" & @CRLF)
									FileWriteLine($FICHSE3,"@echo Lancement de rejoinsambaedu3_clone.vbs" & @CRLF)
									FileWriteLine($FICHSE3,"@echo Soyez patient..." & @CRLF)
									FileWriteLine($FICHSE3,"@call rejoinsambaedu3_clone.vbs" & @CRLF)
									FileWriteLine($FICHSE3,"@goto fin" & @CRLF)

									FileWriteLine($FICHSE3,":xp" & @CRLF)

									FileWriteLine($FICHSE3,"@if exist rejoin_se3_XP_clone.vbs goto clone" & @CRLF)
									FileWriteLine($FICHSE3,"@echo Lancement de rejoin_se3_XP.vbs" & @CRLF)
									FileWriteLine($FICHSE3,"@echo Soyez patient..." & @CRLF)
									FileWriteLine($FICHSE3,"@call rejoin_se3_XP.vbs" & @CRLF)
									FileWriteLine($FICHSE3,"@goto fin" & @CRLF)

									FileWriteLine($FICHSE3,":clone" & @CRLF)
									FileWriteLine($FICHSE3,"@echo Lancement de rejoin_se3_XP_clone.vbs" & @CRLF)
									FileWriteLine($FICHSE3,"@echo Soyez patient..." & @CRLF)
									FileWriteLine($FICHSE3,"@call rejoin_se3_XP_clone.vbs" & @CRLF)
									FileWriteLine($FICHSE3,"@goto fin" & @CRLF)
								Else
									FileWriteLine($FICHSE3,"@if exist rejoinsambaedu3_clone.vbs goto clone" & @CRLF)
									FileWriteLine($FICHSE3,"@echo Lancement de rejoinsambaedu3.vbs" & @CRLF)
									FileWriteLine($FICHSE3,"@echo Soyez patient..." & @CRLF)
									FileWriteLine($FICHSE3,"@call rejoinsambaedu3.vbs" & @CRLF)
									FileWriteLine($FICHSE3,"@goto fin" & @CRLF)

									FileWriteLine($FICHSE3,":clone" & @CRLF)
									FileWriteLine($FICHSE3,"@echo Lancement de rejoinsambaedu3_clone.vbs" & @CRLF)
									FileWriteLine($FICHSE3,"@echo Soyez patient..." & @CRLF)
									FileWriteLine($FICHSE3,"@call rejoinsambaedu3_clone.vbs" & @CRLF)
									FileWriteLine($FICHSE3,"@goto fin" & @CRLF)
								EndIf

								FileWriteLine($FICHSE3,":erreur" & @CRLF)
								FileWriteLine($FICHSE3,"@echo ERREUR" & @CRLF)
								FileWriteLine($FICHSE3,"@echo Un des parametres propose devait etre incorrect," & @CRLF)
								FileWriteLine($FICHSE3,"@echo ou le serveur est inaccessible." & @CRLF)
								FileWriteLine($FICHSE3,"@pause" & @CRLF)
								FileWriteLine($FICHSE3,":fin" & @CRLF)
								FileClose($FICHSE3)


								;==============================================
								$BATCH_SE3_PROGS=$SystemDrive & "\temp\clone\net_use_se3_progs.bat"
								$FICH_NET_USE_SE3_PROGS = FileOpen($BATCH_SE3_PROGS,2)
								If $FICH_NET_USE_SE3_PROGS = -1 Then
									MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier" & @CRLF & "'" & $BATCH_SE3_PROGS & "'!")
									Exit
								EndIf

								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@call " & $SystemDrive & "\temp\clone\admin_mdp.bat > NUL" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@" & $SystemDrive & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@cd \" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo ***********************" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo * ACCES A \\SE3\PROGS *" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo ***********************" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo ." & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@if not exist p:\nul goto suite" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo Suppression du lecteur reseau P: actuel:" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@net use p: /delete /y" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,":suite" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo Connexion du lecteur reseau P: sur le partage [Progs]:" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo net use p: \\" & $SE3 & "\progs /persistent:no /user:" & $DOMAINE & "\%USER_ADMIN_SE3% XXXXXX" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@net use p: \\" & $SE3 & "\progs /persistent:no /user:" & $DOMAINE & "\%USER_ADMIN_SE3% %MDP_ADMIN_SE3%" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@if errorlevel 1 goto erreur" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@goto fin" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,":erreur" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo Temoin > " & $SystemDrive & "\temp\clone\temoin_echec_acces.txt" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo ." & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo ERREUR" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo Un des parametres propose devait etre incorrect," & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo ou le serveur est inaccessible." & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo ." & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo Il peut notamment arriver que le montage ne puisse etre." & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo effectue parce que la classe reseau du poste n'est pas" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo compatible avec celle du serveur." & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo Exemple: Serveur en 192.168.52.197" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo          Client en 10.127.164.12" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo ." & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@pause" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,":fin" & @CRLF)
								FileClose($FICH_NET_USE_SE3_PROGS)

								;*********************************************************
								;*********************************************************
								;PROBLEME: Si la classe IP actuelle n'est pas la bonne, le net use choue...
								; Il faudrait dplacer cela vers le clone.au3 aprs le modifip4.bat
								RunWait($BATCH_SE3_PROGS)
								;*********************************************************
								;*********************************************************

								;==============================================
								;==============================================
								$BATCH_SE3_PROGS_DELETE=$SystemDrive & "\temp\clone\net_delete_se3_progs.bat"
								$FICH_NET_USE_SE3_PROGS = FileOpen($BATCH_SE3_PROGS_DELETE,2)
								If $FICH_NET_USE_SE3_PROGS = -1 Then
									MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier" & @CRLF & "'" & $BATCH_SE3_PROGS_DELETE & "'!")
									Exit
								EndIf

								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@" & $SystemDrive & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@cd \" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo *********************************" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo * SUPPRESSION DU LECTEUR RESEAU *" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo *********************************" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@echo ." & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@if not exist p:\nul goto fin" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,"@net use p: /delete /y" & @CRLF)
								FileWriteLine($FICH_NET_USE_SE3_PROGS,":fin" & @CRLF)
								FileClose($FICH_NET_USE_SE3_PROGS)
								;*********************************************************
								;*********************************************************

								;======================================================================
								;MODIFICATION DU rejoin_se3_xp.vbs
								If FileExists("p:\nul") Then
									If FileExists("p:\install\installdll\clients.ini") Then
										;MsgBox(0,"Info","p:\install\installdll\clients.ini existe")
										FileCopy("p:\install\installdll\clients.ini",$SystemDrive & "\temp\clone",1)
										;MsgBox(0,"Info","@error = " & @error)
									EndIf
									If FileExists("p:\install\installdll\rejoin_se3_XP_clone.vbs") Then
										$temoin = "Rien  faire."
									Else
										#include <rejoin_se3_clone.au3>
									EndIf

									If FileExists("p:\install\installdll\rejoinsambaedu3_clone.vbs") Then
										$temoin = "Rien  faire."
									Else
										#include <rejoinsambaedu3_clone.au3>
									EndIf

									RunWait($BATCH_SE3_PROGS_DELETE)
								EndIf
								;======================================================================


								;==============================================
								$FICH_COPIE_NETTOYE = FileOpen($SystemDrive & "\temp\clone\copie_nettoye.bat",2)
								If $FICH_COPIE_NETTOYE = -1 Then
									MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier" & @CRLF & "'" & $SystemDrive & "\temp\clone\copie_nettoye.bat'!")
									Exit
								EndIf

								FileWriteLine($FICH_COPIE_NETTOYE,"@call " & $SystemDrive & "\temp\clone\admin_mdp.bat > NUL" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@" & $SystemDrive & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@cd \" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo *******************************************" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo * MISE EN PLACE DU RACCOURCI DE NETTOYAGE *" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo *  SUR LE BUREAU DE L UTILISATEUR ADMIN   *" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo *******************************************" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo ." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@if not exist p:\nul goto suite" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo Suppression du lecteur reseau P: actuel:" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@net use p: /delete /y" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,":suite" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo Connexion du lecteur reseau P: sur le partage [admin]:" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo net use p: \\" & $SE3 & "\admin /persistent:no /user:" & $DOMAINE & "\%USER_ADMIN_SE3% XXXXXX" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@net use p: \\" & $SE3 & "\admin /persistent:no /user:" & $DOMAINE & "\%USER_ADMIN_SE3% %MDP_ADMIN_SE3%" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@if errorlevel 1 goto erreur1" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"copy " & $SystemDrive & "\temp\clone\nettoye2.lnk p:\Bureau\" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@if errorlevel 1 goto erreur2" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo OK > " & $SystemDrive & "\temp\clone\temoin_copie_nettoye.txt" & @CRLF)

								FileWriteLine($FICH_COPIE_NETTOYE,"@net use p: /delete /y" & @CRLF)

								FileWriteLine($FICH_COPIE_NETTOYE,"@goto fin" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,":erreur1" & @CRLF)
								;FileWriteLine($FICH_COPIE_NETTOYE,"@echo Temoin > c:\temp\clone\temoin_echec_acces.txt" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo ." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo ERREUR" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo Un des parametres propose devait etre incorrect," & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo ou le dossier /home/admin n'existe pas sur le serveur," & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo ou le serveur est inaccessible." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo ." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo Il peut notamment arriver que le montage ne puisse etre." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo effectue parce que la classe reseau du poste n'est pas" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo compatible avec celle du serveur." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo Exemple: Serveur en 192.168.52.197" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo          Client en 10.127.164.12" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo ." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo Il peut aussi arriver que des montages de lecteurs anterieurs perturbent" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo perturbent la creation du lecteur." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo Vous pouvez regler ce probleme en effectuant dans une fenetre de commande 'cmd':" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo      net use * /delete /y" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo ." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@goto prefin" & @CRLF)

								FileWriteLine($FICH_COPIE_NETTOYE,":erreur2" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo ." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo ERREUR" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo La copie du fichier 'nettoye2.lnk' a echoue." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo Y aurait-il un probleme de droits sur un fichier?" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo ." & @CRLF)

								FileWriteLine($FICH_COPIE_NETTOYE,":prefin" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo La mise en place va etre tentee a nouveau apres clonage." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@echo ." & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,"@pause" & @CRLF)
								FileWriteLine($FICH_COPIE_NETTOYE,":fin" & @CRLF)
								FileClose($FICH_COPIE_NETTOYE)

								;*********************************************************
								;*********************************************************
								;PROBLEME: Si la classe IP actuelle n'est pas la bonne, le net use choue...
								; Il faudrait dplacer cela vers le clone.au3 aprs le modifip4.bat
								If FileExists($SystemDrive & "\temp\clone\temoin_echec_acces.txt") Then
									$temoin = "bidon"
									;Remarque: Dans le cas o on ne s'est jamais connect en admin sur le domaine, le dossier personnel de 'admin' n'existe pas et la copie de nettoye2.lnk vers /home/admin/Bureau/ choue.
									;          La tentative de rcupration de clients.ini n'est alors pas effectue.
									;          Il vaudrait mieux changer l'ordre des tests...
								Else
									RunWait($SystemDrive & "\temp\clone\copie_nettoye.bat")
								EndIf
								;*********************************************************
								;*********************************************************

							EndIf
						EndIf
						;MsgBox(0,"Info 2a","SE3check = " & $SE3check)
						GUIDelete()
						ExitLoop


					; On teste si l'utilisateur a cliqu sur le bouton CANCEL
					Case $msg = $Cancel_Btn
						MsgBox(64, "Abandon!", "Vous avez souhait abandonner la mise en place.")

    					RunWait($SystemDrive & "\temp\nettoye2.exe")
						;FileRecycle("c:\temp\clone")
						;FileRecycle("c:\temp\nettoye2.exe")
						;FileRecycle("C:\temp\corrige_acl_temp.bat")
						;FileRecycleEmpty()

						GUIDelete()
						Exit
				EndSelect
			WEnd

		EndIf
		;MsgBox(0,"Info 2b","SE3check = " & $SE3check)
		;================================================================================
		;================================================================================

        ; Mise en place du lancement post-clonage
        RegWrite("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run","PostClonage","REG_SZ",$SystemDrive & "\temp\clone\clone.exe")

	; =======================================================================
	; Autologin ou non

		;If $SE3check == 1 Then
		$GUIWidth = 300
		$GUIHeight = 245
		; Cration de la fentre
		$FENETRE="Autologin ou non (3/" & $NB_STEP & ")"
		GUICreate($FENETRE, $GUIWidth, $GUIHeight)

		;$VARTEMP = StringSplit($DOSSIER_ADMIN,"\")
		;$COMPTE_ADMINISTRATEUR = $VARTEMP[3]
        $COMPTE_ADMINISTRATEUR = @UserName

		; Affichage d'un texte d'explication
		$texte_info = "Il est possible d'automatiser le login sous l'identit:" & @CRLF & "     " & $COMPTE_ADMINISTRATEUR & @CRLF & "(ou sous tout autre compte administrateur local de la " & @CRLF & "machine) aprs le clonage pour permettre les oprations post-clonages avec un minimum d'intervention." & @CRLF & @CRLF & "Si vous prfrez effectuer le login  la main, il suffit de ne pas cocher la case ci-dessous."

		;$Label_info = GuiCtrlCreateLabel($texte_info, 10, 10, 280, 90, $SS_SUNKEN)
		$Label_info = GuiCtrlCreateLabel($texte_info, 10, 10, 280, 115)

		$y0 = 125
		$y1 = $y0 - 2

		;$Check_AUTOLOGIN = GUICtrlCreateCheckbox("", 10, $y0, 10, 10)
		$Check_AUTOLOGIN = GUICtrlCreateCheckbox("Autologin", 10, $y1, 70, 20)
		;$Label_AUTOLOGIN = GuiCtrlCreateLabel("Autologin", 25, $y1, 70, 20)

		$y0 = $y0 + 25
		;$y1 = $y0 + 10

		;$Label_MDP = GuiCtrlCreateLabel("Mot de passe du compte" & @CRLF & $COMPTE_ADMINISTRATEUR & ":", 25, $y0, 130, 40)
		;$Champ_MDP = GUICtrlCreateInput("", 160, $y1, 130, 20)

		$Label_ADM = GuiCtrlCreateLabel("Nom du compte:", 25, $y0, 130, 40)
		$Champ_ADM = GUICtrlCreateInput($COMPTE_ADMINISTRATEUR, 160, $y0-2, 130, 20)

		$y0 = $y0 + 25

        $Label_MDP = GuiCtrlCreateLabel("Mot de passe du compte:", 25, $y0, 130, 40)
		$Champ_MDP = GUICtrlCreateInput("", 160, $y0-2, 130, 20)

		$y0 = $y0 + 30
		$x=($GUIWidth-2*70-35)/2

		; Cration du bouton "OK"
		$OK_Btn = GUICtrlCreateButton("OK", $x, $y0, 70, 25)

		$x=$x+70+35

		; Cration du bouton "CANCEL"
		$Cancel_Btn = GUICtrlCreateButton("Cancel", $x, $y0, 70, 25)

		; On rend la fentre visible (modification de statut)
		GUISetState(@SW_SHOW)

		While 1
			; Aprs chaque boucle, on contrle si l'utilisateur a cliqu sur quelque chose
			$msg = GUIGetMsg()

			Select
				; On teste si l'utilisateur a cliqu sur le bouton de fermeture
				Case $msg = $GUI_EVENT_CLOSE
					; On dtruit la fentre et ses contrles
					GUIDelete()
					; Et on quitte le script
					Exit

				; On teste si l'utilisateur a cliqu sur le bouton OK
				Case $msg = $OK_Btn

					;=======================================================
					; Rcupration du contenu des champs de formulaire

					$AUTOLOGIN_OU_PAS = GUICtrlRead($Check_AUTOLOGIN)
					If $AUTOLOGIN_OU_PAS == 1 Then
						$AUTOLOGIN = "oui"
						$MDP = GUICtrlRead($Champ_MDP)
						$COMPTE_ADMINISTRATEUR = GUICtrlRead($Champ_ADM)
					Else
						$AUTOLOGIN = "non"
						;$MDP=""
					EndIf

					WinSetState($FENETRE,"",@SW_MINIMIZE)

					;MsgBox(0,"Info",$AUTOLOGIN & " " & $MDP)

					If $AUTOLOGIN == "oui" Then
						; On va crire quelques valeurs dans la base de registre
						RegWrite("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon","DefaultUserName","REG_SZ",$COMPTE_ADMINISTRATEUR)
						RegWrite("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon","DefaultPassword","REG_SZ",$MDP)
						RegWrite("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon","AutoAdminLogon","REG_SZ","1")
					EndIf


					MsgBox(0,"Information","La machine va tre passe en client DHCP pour viter un affichage de conflits IP aprs le clonage." & @CRLF & "Ce passage en client DHCP est sans rapport avec votre choix d'effectuer par la suite une configuration client DHCP ou IP fixe.")
					;RunWait("C:\temp\clone\dhcp.bat")
					_Set_DHCP($Interface_reseau)


					MsgBox(0,"Information","Les fichiers sont en place." & @CRLF & "Vous pouvez teindre la machine et procder au clonage.")

					ExitLoop

				; On teste si l'utilisateur a cliqu sur le bouton CANCEL
				Case $msg = $Cancel_Btn
					MsgBox(64, "Abandon!", "Vous avez souhait abandonner la mise en place.")

					RunWait($SystemDrive & "\temp\nettoye2.exe")
					;FileRecycle($DOSSIER_ADMIN & "\clone.exe")
					;FileRecycle("c:\temp\clone")
					;FileRecycle("c:\temp\nettoye2.exe")
					;FileRecycle("C:\temp\corrige_acl_temp.bat")
					;FileRecycleEmpty()

                    RegDelete("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run","PostClonage")

					GUIDelete()
					Exit
			EndSelect
		WEnd

	;EndIf
	; =======================================================================

Else
		MsgBox(0,"Information","Ce programme doit tre excut" & @CRLF & "avec les droits administrateur.")
		Exit
	EndIf
EndIf

Exit
