; Script lanc aprs clonage sur chaque station
; $Id$
; Stephane Boireau (27)
; Modification: 25/04/2010

;Include constants
#include <GUIConstants.au3>

; Bibliotheque de fonctions
#include <se3_crob.lib.au3>

$SystemDrive=_GetSystemDrive()

;Initialize variables
Global $GUIWidth
Global $GUIHeight

$GUIWidth = 300
;If FileExists("c:\temp\clone\se3.bat") Then
If FileExists(@ScriptDir & "\se3.bat") Then
	$GUIHeight = 150
Else
	$GUIHeight = 180
EndIf

;Dim $WPKG_files[4]=["wpkg-client.vbs", "wpkg.log", "wpkg.txt", "system32\wpkg.xml"]

; Initialisation:
$NOMPC=""
$IP=""
$WORKGRP=""
$MAC=""

If IsAdmin() Then

	If FileExists($SystemDrive & "\temp\clone\nettoyage.txt") Then
		; ======================================
		; =           DERNIERE PHASE           =
		; ======================================
		; La dernire phase est:
		; - soit la deuxime (dans le cas o on n'intgre pas un domaine SambaEdu3)
		; - soit la troisime (dans le cas o on intgre un domaine SambaEdu3)

		; Peut-tre faudra-t-il utiliser un lanceur batch avec une pause et faire exit dans ce script.
		;Run("c:\temp\nettoye2.exe")
        MsgBox(0, "Info", "Lancement du nettoyage...",1)
        RunWait($SystemDrive & "\temp\nettoye2.exe")
		Run(@ComSpec & " /c del " & $SystemDrive & "\temp\nettoye2.exe")
		Exit
	Else
		If FileExists($SystemDrive & "\temp\clone\se3.bat") AND FileExists($SystemDrive & "\temp\clone\temoin.txt") Then
			; ======================================
			; =           DEUXIEME PHASE           =
			; ======================================
			;=======================================================
			; Cration du fichier tmoin pour lancer le nettoyage aprs le reboot
			$FICHNETTOYAGE = FileOpen($SystemDrive & "\temp\clone\nettoyage.txt",2)
			If $FICHNETTOYAGE = -1 Then
				MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & $SystemDrive & "\temp\clone\nettoyage.txt'!")
				Exit
			EndIf

			FileWriteLine($FICHNETTOYAGE,"Nettoyage  effectuer...")
			FileClose($FICHNETTOYAGE)

			; En principe les deux valeurs suivantes sont modifies par le rejoin_se3_XP
			; Le nettoyage qui est fait l est donc superflu.
			RegDelete("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon","DefaultPassword")
			RegWrite("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon","AutoAdminLogon","REG_SZ","0")

			;=======================================================

			;RunWait("c:\temp\clone\se3.bat")
			; Changement pour tenir compte des demandes de confirmation: SP2 et aussi choix Tlcharger/Ouvrir
			Run($SystemDrive & "\temp\clone\se3.bat")

			If WinWait("Fichier ouvert - Avertissement de scurit","Voulez-vous ouvrir ce fichier?",80) Then
				WinMove("Fichier ouvert - Avertissement de scurit","Voulez-vous ouvrir ce fichier?",0,0)
				Sleep(500)
				MouseClick("left",257,173)
			EndIf

			If WinWait("Tlchargement de fichier","Certains fichiers peuvent endommager votre ordinateur. Si les informations sur le fichier ci-dessous semblent suspectes, n'ouvrez ou n'enregistrez pas ce fichier.",20) Then
				WinMove("Tlchargement de fichier","Certains fichiers peuvent endommager votre ordinateur. Si les informations sur le fichier ci-dessous semblent suspectes, n'ouvrez ou n'enregistrez pas ce fichier.",0,0)
				Sleep(500)
				MouseClick("left",99,238)
			EndIf

			; Mnage:
			; A partir de l, on n'a plus besoin du mot de passe du compte admin de SE3
			FileRecycle($SystemDrive & "\temp\clone\admin_mdp.bat")
			FileRecycleEmpty()

		Else
			; ======================================
			; =           PREMIERE PHASE           =
			; ======================================

			; Normalement le mnage est fait lors de la mise en place
			If FileExists(@WindowsDir & "\wpkg-client.vbs") Then
				FileRecycle(@WindowsDir & "\wpkg-client.vbs")
				FileRecycleEmpty()
			EndIf

			; Il faudra revoir a... pouvoir identifier la bonne interface rseau... mais le pb des accents DOS complique les choses
			$CURRENT_IP=_GetIP()
			$MAC=_GetMACFromIP($CURRENT_IP)

			If FileExists($SystemDrive & "\temp\clone\clients.ini") Then
				#include <lecture_clients_ini.au3>
				; On n'affecte ici que le nom de la machine si son adresse MAC tait dans le clients.ini
				;MsgBox(0,"Info","Aprs lecture du c:\temp\clone\clients.ini:" & @CRLF & "NOMPC=" & $NOMPC & @CRLF & "IP=" & $IP)
			EndIf

			If FileExists($SystemDrive & "\temp\clone\correspondance_nom_mac_ip.ini") Then
				#include <lecture_correspondance_nom_mac_ip_ini.au3>
				;MsgBox(0,"Info","Aprs lecture du c:\temp\clone\correspondance_nom_mac_ip.ini:" & @CRLF & "NOMPC=" & $NOMPC & @CRLF & "IP=" & $IP)
			EndIf

			$MODE_NOMPC_IP="interactif"
			If $NOMPC <> "" Then
				If $IP <> "" Then
					$MODE_NOMPC_IP="auto"
					If $IP == "DHCP" Then
						$IP=""
						If FileExists($SystemDrive & "\temp\clone\temoin_dhcp.txt") Then
							$bidon="Rien  changer"
						Else
							$FICH_TMP=FileOpen($SystemDrive & "\temp\clone\temoin_dhcp.txt",1)
							FileWrite($FICH_TMP,"Client DHCP")
							FileClose($FICH_TMP)
						EndIf
					EndIf
				Else
					If FileExists($SystemDrive & "\temp\clone\temoin_dhcp.txt") Then
						$MODE_NOMPC_IP="auto"
					EndIf
				EndIf
			EndIf

			If $MODE_NOMPC_IP == "auto" Then
				If FileExists($SystemDrive & "\temp\clone\temoin_dhcp.txt") Then
					MsgBox(0,"Info","Le poste va tre renomm en " & $NOMPC & @CRLF & "et tre configur en client DHCP.",3)
				Else
					MsgBox(0,"Info","Le poste va tre renomm en " & $NOMPC & @CRLF & "avec l'adresse IP " & $IP,3)
				EndIf
			Else
				; Il va falloir demander l'un des paramtres au moins  l'utilisateur.

				; On n'a jamais $IP=="DHCP"
				; $IP est vide sauf si elle a t renseigne par c:\temp\clone\correspondance_nom_mac_ip.ini
				; Mais dans ce cas, in est pass dans le If ci-dessus, pas dans le prsent Else
				If $IP <> "DHCP" Then
                    ; Prfixe IP  proposer:
                    $PREFIP=""
                    If FileExists($SystemDrive & "\temp\clone\param.ini") Then
                        $FICHPARAM = FileOpen($SystemDrive & "\temp\clone\param.ini",0)
                        If $FICHPARAM = -1 Then
                            MsgBox(0, "Erreur", "Il n'a pas t possible d'ouvrir le fichier '" & $SystemDrive & "\temp\clone\param.ini'!" & @CRLF & "Ce fichier permet de personnaliser le paquet post-clonage pour proposer des choix par dfaut adapts  votre rseau.")
                        Else
                            While 1
                                $LIGNE = FileReadLine($FICHPARAM)
                                ;MsgBox(0,"Info",$LIGNE)
                                If @error = -1 Then ExitLoop
                                If StringInStr ($LIGNE,"PREFIP=") <> 0 Then
                                    ;MsgBox(0,"Info","Ligne trouve:" & $LIGNE)
                                    $TEMP = StringSplit($LIGNE, "=")
                                    $PREFIP = $TEMP[2]
                                    ExitLoop
                                EndIf
                            Wend
                            FileClose($FICHPARAM)
                        EndIf
                    EndIf
                EndIf

				; Cration de la fentre
				GUICreate("Corrections POST-CLONAGE", $GUIWidth, $GUIHeight)

				$x0=10
				$x1=160
				$y0=10

				; Affichage d'un titre:
				;$Label_info = GuiCtrlCreateLabel("Veuillez saisir les nouveaux paramtres:", $x0, $y0, 200, 20, $SS_SUNKEN)
				$Label_info = GuiCtrlCreateLabel("Veuillez saisir les nouveaux paramtres:", $x0, $y0, 200, 20)

				$y0=$y0+30
				$y1=$y0+3

				; Cration des champs de formulaire:
				$DHCP = "non"
				If FileExists($SystemDrive & "\temp\clone\temoin_dhcp.txt") Then
					$Label_DHCP = GuiCtrlCreateLabel("Le poste est client DHCP.", $x0, $y1, 150, 20)
					$DHCP = "oui"
				Else
					$Label_IP = GuiCtrlCreateLabel("Nouvelle adresse IP:", $x0, $y1, 150, 20)
					;$Champ_IP = GUICtrlCreateInput("10.127.", $x1, $y0, 130, 20)
					$Champ_IP = GUICtrlCreateInput($PREFIP, $x1, $y0, 130, 20)
				EndIf

				$y0=$y0+30
				$y1=$y0+3

				If $NOMPC <> "" Then
					$Label_NOM = GuiCtrlCreateLabel("Nom de machine:", $x0, $y1, 150, 20)
					;$Label_NOM2 = GuiCtrlCreateLabel($NOMPC, $x1, $y0, 130, 20, $SS_SUNKEN)
					$Label_NOM2 = GuiCtrlCreateLabel($NOMPC, $x1, $y0, 130, 20)
				Else
					$Label_NOM = GuiCtrlCreateLabel("Nouveau nom de machine:", $x0, $y1, 150, 20)
					$Champ_NOM = GUICtrlCreateInput("", $x1, $y0, 130, 20)
				EndIf

				; On ne propose le changement de workgroup que si on ne joint pas un domaine SambaEdu3:
				If FileExists($SystemDrive & "\temp\clone\se3.bat") Then
					$bidon = "oui"
				Else

					$y0=$y0+30
					$y1=$y0+3

					; Ajout d'aprs Fabien Malfoy (monkey@indriya.org):
					$Label_WORKGRP = GUICtrlCreateLabel("Nouveau workgroup (ou vide):", $x0, $y1, 150, 20)
					$Champ_WORKGRP = GUICtrlCreateInput("", $x1, $y0, 130, 20)

					; Il faudrait pouvoir initialiser ce nom de workgroup... (?)
					; Quitte  rcuprer le nom de workgroup courant... (autant le faire avant le clonage...
					; (stocker le nom de workgroup))
				EndIf


				$y0=$y0+40

				$x=($GUIWidth-2*70-35)/2

				; Cration du bouton "OK"
				$OK_Btn = GUICtrlCreateButton("OK", $x, $y0, 70, 25)

				$x=$x+70+35

				; Cration du bouton "CANCEL"
				$Cancel_Btn = GUICtrlCreateButton("Cancel", $x, $y0, 70, 25)

				; On rend la fentre visible (modification de statut)
				GUISetState(@SW_SHOW)

				; On fait une boucle jusqu' ce que:
				; - l'utilisateur presse ESC
				; - l'utilisateur presse ALT+F4
				; - l'utilisateur clique sur le bouton de fermeture de la fentre
				While 1
					; Aprs chaque boucle, on contrle si l'utilisateur a cliqu sur quelque chose
					$msg = GUIGetMsg()

					Select
						; On teste si l'utilisateur a cliqu sur le bouton de fermeture
						Case $msg = $GUI_EVENT_CLOSE
							; On dtruit la fentre et ses contrles
							GUIDelete()
							; Et on quitte le script
							Exit

						; On teste si l'utilisateur a cliqu sur le bouton OK
						Case $msg = $OK_Btn
							;GUISetState(@SW_HIDE)

							$SORTIE=""

							;=======================================================
							; Rcupration du contenu des champs de formulaire
							If $NOMPC == "" Then
								$NOMPC = GUICtrlRead($Champ_NOM)
								;If StringIsAlNum(StringReplace($NOMPC,"_","")) == 0 Then
								; On accepte aussi le '-' dans les noms de machines.
								; En fait le '_' devrait tre interdit d'aprs Fabien Malfoy <monkey@indriya.org>
								If StringIsAlNum(StringReplace(StringReplace($NOMPC,"_",""),"-","")) == 0 Then
									MsgBox(0,"Erreur","Le nom choisi n'est pas valide!")
									;Exit
									$SORTIE = "oui"
									$NOMPC=""
								EndIf
							EndIf

							If $DHCP == "oui" Then
								$IP = ""
							Else
								$IP = GUICtrlRead($Champ_IP)
								If verif_ip($IP) == "erreur" Then
									MsgBox(0,"Erreur","L'adresse IP propose n'est pas valide!")
									;Exit
									$SORTIE = "oui"
								EndIf
							EndIf

							If FileExists($SystemDrive & "\temp\clone\se3.bat") Then
								$bidon="oui"
							Else
								; Ajout d'aprs Fabien Malfoy (monkey@indriya.org):
								$WORKGRP = GUICtrlRead($Champ_WORKGRP)
								If $WORKGRP == "" Then
									$bidon = "Pas de changement de Workgroup."
								Else
									If StringIsAlNum(StringReplace(StringReplace($WORKGRP,"_",""),"-","")) == 0 Or $WORKGRP == $NOMPC Then
										MsgBox(0,"Erreur","Le groupe de travail choisi n'est pas valide!")
										;Exit
										$SORTIE = "oui"
									EndIf
								EndIf
							EndIf

							;=======================================================

							If $SORTIE == "oui" Then
								$bidon=""
								; On va arriver au WEnd en sortie du If
								GUISetState(@SW_SHOW)
								; Et l'utilisateur va pouvoir effectuer une autre saisie.
							Else
								; S'il n'y a pas d'erreur de saisie on poursuit les oprations.

								; Les paramtrages vont tre effectus hors de la boucle.

								GUIDelete()
								ExitLoop
							EndIf

						; On teste si l'utilisateur a cliqu sur le bouton CANCEL
						Case $msg = $Cancel_Btn
							MsgBox(64, "Abandon!", "Vous avez souhait abandonner les corrections.")
							GUIDelete()
							Exit
					EndSelect
				WEnd
			EndIf

			; En sortie de boucle sans 'Exit' les paramtres sont renseigns,
			; On peut procder au re-paramtrage.
			;=======================================================
			; Cration du fichier IP.BAT
			;$FICHIP = FileOpen("C:\temp\clone\ip.bat",2)
			$FICHIP = FileOpen(@ScriptDir & "\ip.bat",2)
			If $FICHIP = -1 Then
				MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & $SystemDrive & "\temp\clone\ip.bat'!")
				Exit
			EndIf

			FileWriteLine($FICHIP,"set IP=" & $IP)
			FileClose($FICHIP)
			;=======================================================
			; Cration du fichier IP.INI
			;$FICHIP = FileOpen("C:\temp\clone\ip.ini",2)
			$FICHIP = FileOpen(@ScriptDir & "\ip.ini",2)
			If $FICHIP = -1 Then
				MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & @ScriptDir & "\ip.ini'!")
				Exit
			EndIf

			FileWriteLine($FICHIP,"[ParametresIP]" & $IP)
			FileWriteLine($FICHIP,"IP=" & $IP)
			FileClose($FICHIP)
			;=======================================================


			;=======================================================
			; Cration du fichier NOMPC.BAT
			$FICHNOMPC = FileOpen($SystemDrive & "\temp\clone\nompc.bat",2)
			If $FICHNOMPC = -1 Then
				MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & $SystemDrive & "\temp\clone\nompc.bat'!")
				Exit
			EndIf

			FileWriteLine($FICHNOMPC,"set NOMPC=" & $NOMPC)
			FileClose($FICHNOMPC)
			;=======================================================


			If FileExists($SystemDrive & "\temp\clone\se3.bat") Then
				$bidon="oui"
			Else
				If $WORKGRP == "" Then
					$bidon = "Pas de changement de Workgroup."
				Else
					; Ajout d'aprs Fabien Malfoy <monkey@indriya.org>:
					;=======================================================
					; Cration du fichier WORKGRP.BAT
					$FICHWORKGRP = FileOpen($SystemDrive & "\temp\clone\workgrp.bat",2)
					If $FICHWORKGRP = -1 Then
						MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & $SystemDrive & "\temp\clone\workgrp.bat'!")
						Exit
					EndIf

					FileWriteLine($FICHWORKGRP,"set WORKGRP=" & $WORKGRP)
					FileClose($FICHWORKGRP)
					;=======================================================
				EndIf
			EndIf


			;GUISetState(@SW_HIDE)

			RunWait($SystemDrive & "\temp\clone\corrigboot.bat")
			;RunWait("c:\temp\clone\modifip4.bat")
			;RunWait(@ScriptDir & "\ipconfig.exe")
			RunWait(@ScriptDir & "\modifip.exe")
			
			MsgBox(0, "Info", "Modification IP effectue.", 3)

			If FileExists($SystemDrive & "\temp\clone\temoin_copie_nettoye.txt") Then
				$bidon="truc"
			Else
				If FileExists($SystemDrive & "\temp\clone\copie_nettoye.bat") Then
					RunWait($SystemDrive & "\temp\clone\copie_nettoye.bat")
				EndIf
				If FileExists($SystemDrive & "\temp\clone\net_use_se3_progs.bat") Then
					RunWait($SystemDrive & "\temp\clone\net_use_se3_progs.bat")
					; L'existence du rejoin_se3_XP_clone.vbs est teste dans le script ci-dessous:
					#include <rejoin_se3_clone.au3>
					#include <rejoinsambaedu3_clone.au3>
					RunWait($SystemDrive & "\temp\clone\net_delete_se3_progs.bat")
				EndIf
			EndIf

			;=======================================================
			; Cration du fichier tmoin pour le premier reboot
			; Ce tmoin signale que le changement IP et SID sont effectus.
			; (pour le SID, le changement se fait sur cette session, quelques lignes plus bas)
			; Il restera alors  effectuer si ncessaire la jonction au domaine SE3 et le nettoyage.
			$FICHTEMOIN = FileOpen($SystemDrive & "\temp\clone\temoin.txt",2)
			If $FICHTEMOIN = -1 Then
				MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & $SystemDrive & "\temp\clone\temoin.txt'!")
				Exit
			EndIf

			FileWriteLine($FICHTEMOIN,"Etape 1 effectue...")
			FileClose($FICHTEMOIN)
			;=======================================================

			If FileExists($SystemDrive & "\temp\clone\se3.bat") Then
				$temoin = "bidon"
			Else
				; Il n'est pas ncessaire de joindre un domaine SE3,
				; il ne reste donc que le nettoyage  effectuer aprs le reboot.
				;=======================================================
				; Cration du fichier tmoin pour lancer le nettoyage aprs le reboot
				$FICHNETTOYAGE = FileOpen($SystemDrive & "\temp\clone\nettoyage.txt",2)
				If $FICHNETTOYAGE = -1 Then
					MsgBox(0, "Erreur", "Il n'a pas t possible de crer le fichier '" & $SystemDrive & "\temp\clone\nettoyage.txt'!")
					Exit
				EndIf

				FileWriteLine($FICHNETTOYAGE,"Nettoyage  effectuer...")
				FileClose($FICHNETTOYAGE)

				; Suppression de l'autologon avant le nettoyage.
				; Peut-tre un dernier logon de nettoyage suivi d'un reboot serait-il plus judicieux.
				RegDelete("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon","DefaultPassword")
				RegWrite("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon","AutoAdminLogon","REG_SZ","0")

				;=======================================================
			EndIf

			; La nouvelle version de NewSid (depuis le rachat de SysInternals par Micro$oft) requiert l'acceptation d'un EULA
			RegWrite("HKEY_CURRENT_USER\Software\Sysinternals\NewSID","EulaAccepted","REG_DWORD","1")

			RunWait($SystemDrive & "\temp\clone\new_sid.bat")

		EndIf
	EndIf
Else
	MsgBox(0,"Information","Ce programme doit tre excut avec les droits administrateur.")
	Exit
EndIf
Exit
