; Bibliotheque de fonctions
; $Id$
; Stephane Boireau (27)
; Modification: 21/04/2010

; Passer la valeur  'n' pour proposer de choisir l'interface rseau 
$utiliser_la_premiere_interface = "n"
; Avec 'y', on prend la premire interface

;Include constants
#include <GUIConstants.au3>

; Bibliothque de fonctions
#include <se3_crob.lib.au3>

$interface=""

;If FileExists(@ScriptDir & "\interface_reseau.ini") Then
;	$interface=IniRead(@ScriptDir & "\interface_reseau.ini", "InterfaceReseau", "INTERFACE", "")
;EndIf
; Ca ne fonctionne pas
; Problme d'accents DOS

If $interface == "" Then
	$Adapters=_Get_Adapters()
	;MsgBox(0,"Liste des interfaces rseau",$Adapters,3)

	$tab_interface=StringSplit($Adapters,"|")
	;$tab_interface[0] est la dimension du tableau
	;$tab_interface[1] est vide
	;$tab_interface[0] est la premire interface rseau
	If $tab_interface[0] < 2 Then
		MsgBox(0,"ERREUR", "Aucune interface rseau n'a t trouve.")
		Exit
	EndIf

	If $utiliser_la_premiere_interface == "y" Then
		$interface=$tab_interface[2]
	Else
		If $tab_interface[0] == 2 Then
			; Il n'y a qu'une interface
			$interface=$tab_interface[2]
		Else
			; On propose de choisir l'interface

			;Initialize variables
			Global $GUIWidth
			Global $GUIHeight

			$GUIWidth = 300
			$GUIHeight = 110

			; Cration de la fentre
			$FENETRE="Choix de l'interface rseau"
			GUICreate($FENETRE, $GUIWidth, $GUIHeight)

			$x0=10
			;$x1=160
			$y0=10

			$Label_info = GuiCtrlCreateLabel("Veuillez choisir l'interface rseau:", $x0, $y0, 200, 20)

			$y1=$y0+25

			$Label_interface = GuiCtrlCreateLabel("Interface", 10, $y1, 45, 20)
			$Champ_interface = GUICtrlCreateCombo("", 60, $y1, $GUIWidth-55-10, 20)
			GUICtrlSetData(-1, $Adapters, $tab_interface[2])

			$y1=$y1+40

			$x=($GUIWidth-2*70-35)/2

			; Cration du bouton "OK"
			$OK_Btn = GUICtrlCreateButton("OK", $x, $y1, 70, 25)

			$x=$x+70+35

			; Cration du bouton "CANCEL"
			$Cancel_Btn = GUICtrlCreateButton("Cancel", $x, $y1, 70, 25)

			; On rend la fentre visible (modification de statut)
			GUISetState(@SW_SHOW)

			; On fait une boucle jusqu' ce que:
			; - l'utilisateur presse ESC
			; - l'utilisateur presse ALT+F4
			; - l'utilisateur clique sur le bouton de fermeture de la fentre
			While 1
				; Aprs chaque boucle, on contrle si l'utilisateur a cliqu sur quelque chose
				$msg = GUIGetMsg()

				Select
					; On teste si l'utilisateur a cliqu sur le bouton de fermeture
					Case $msg = $GUI_EVENT_CLOSE
						; On dtruit la fentre et ses contrles
						GUIDelete()
						; Et on quitte le script
						Exit

					; On teste si l'utilisateur a cliqu sur le bouton OK
					Case $msg = $OK_Btn
						$Interface_reseau=GUICtrlRead($Champ_interface)
						$interface=$Interface_reseau
						GUIDelete()
						ExitLoop
						
					; On teste si l'utilisateur a cliqu sur le bouton CANCEL
					Case $msg = $Cancel_Btn
						MsgBox(64, "Abandon!", "Vous avez souhait abandonner le changement IP.")
						GUIDelete()
						Exit
				EndSelect
			WEnd
		EndIf
	EndIf
EndIf

; Initialisation des variables
$DHCP=""
$GW=""
$DNS1=""
$NETMASK=""
$WINS=""

; Lire les paramtres par dfaut du param.ini 
; ( ne pas confondre avec          params.ini)

; Lecture des paramtres dfinis dans la phase de pr-clonage
If FileExists(@ScriptDir & "\params.ini") Then
	$DHCP=IniRead(@ScriptDir & "\params.ini", "ParametresReseau", "DHCP", "oui")
	$GW=IniRead(@ScriptDir & "\params.ini", "ParametresReseau", "GW", "")
	$DNS1=IniRead(@ScriptDir & "\params.ini", "ParametresReseau", "DNS1", "")
	$NETMASK=IniRead(@ScriptDir & "\params.ini", "ParametresReseau", "NETMASK", "")
	$WINS=IniRead(@ScriptDir & "\params.ini", "ParametresReseau", "WINS", "")
EndIf

; Est-ce utile?
;If FileExists("C:\temp\clone\temoin_dhcp.txt") Then
If FileExists(@ScriptDir & "\temoin_dhcp.txt") Then
	$DHCP="oui"
EndIf

If $DHCP == "oui" Then
	MsgBox(0, "Info", "On va passer en client DHCP...", 1)
	_Set_DHCP($interface)

	MsgBox(0, "Info", "Passage en client DHCP effectu.", 3)
Else
	; Rcuprer l'IP... ou la demander... NON c'est fait en dehors du script
	;If FileExists(@ScriptDir & "\ip.bat") Then
	If FileExists(@ScriptDir & "\ip.ini") Then
		$IP=IniRead(@ScriptDir & "\ip.ini", "ParametresIP", "IP", "")
		If $IP <> "" And $NETMASK <> "" Then
			MsgBox(0, "Info", "On va passer dfinir un adressage statique...", 1)
			_Set_ip($interface, $IP, $NETMASK, $GW, $DNS1, $WINS)

			MsgBox(0, "Info", "Paramtrage IP effectu:" & $IP & "/" & $NETMASK & @CRLF & "avec les serveurs GW='" & $GW & "', DNS='" & $DNS1 & "', WINS='" & $WINS & "'", 3)
		EndIf
	EndIf
EndIf

